<?php

$config  = array(
  'title' => sprintf( '%s Styling Options', THEME_NAME ),
  'id' => 'mk-metaboxes-styling',
  'pages' => array(
    'page',
    'post',
    'portfolio'
  ),
  'callback' => '',
  'context' => 'normal',
  'priority' => 'core'
);
$options = array(

  array(
    "name" => __( "Custom Settings", "mk_framework" ),
    "subtitle" => __( "You should enable this option if you want to override global background values defined in Theme Settings. Please note that this option will only apply to background selector and layout selector not other options int this metabox.", "mk_framework" ),
    "id" => "_custom_bg",
    "default" => 'false',
    "type" => "toggle"
  ),


  array(
    "name" => __( "Choose Layout", 'mk_framework' ),
    "subtitle" => __( "Choose between a full or a boxed layout to set how your website's layout will look like.", 'mk_framework' ),
    "id" => "background_selector_orientation",
    "default" => "full",
    "options" => array(
      "boxed" => 'boxed-layout',
      "full" => 'full-width-layout',
    ),
    "type" => "visual_selector"
  ),


  array(
    "name" => __( "Background color & texture", 'mk_framework' ),
    "subtitle" => __( "Please click on the different sections to modify their backgrounds.", 'mk_framework' ),
    "id"=> 'general_backgounds',
    "type" => "general_background_selector"
  ),


  array(
    "id"=>"body_color",
    "default"=> "#fff",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"body_image",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"body_position",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"body_attachment",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"body_repeat",
    "default"=> "",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"body_source",
    "default"=> "no-image",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"body_cover",
    "default"=> "false",
    "type"=> 'hidden_input',
  ),




  array(
    "id"=>"page_color",
    "default"=> "#fff",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"page_image",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"page_position",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"page_attachment",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"page_repeat",
    "default"=> "",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"page_source",
    "default"=> "no-image",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"page_cover",
    "default"=> "false",
    "type"=> 'hidden_input',
  ),








  array(
    "id"=>"header_color",
    "default"=> "#fff",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"header_image",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"header_position",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"header_attachment",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"header_repeat",
    "default"=> "",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"header_source",
    "default"=> "no-image",
    "type"=> 'hidden_input',
  ),
  array(
    "id"=>"header_cover",
    "default"=> "false",
    "type"=> 'hidden_input',
  ),




  array(
    "id"=>"banner_color",
    "default"=> "#fafafa",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"banner_image",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"banner_position",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"banner_attachment",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"banner_repeat",
    "default"=> "",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"banner_source",
    "default"=> "no-image",
    "type"=> 'hidden_input',
  ),
  array(
    "id"=>"banner_cover",
    "default"=> "false",
    "type"=> 'hidden_input',
  ),




  array(
    "id"=>"footer_color",
    "default"=> "#191919",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"footer_image",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"footer_position",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"footer_attachment",
    "default"=> "",
    "type"=> 'hidden_input',
  ),


  array(
    "id"=>"footer_repeat",
    "default"=> "",
    "type"=> 'hidden_input',
  ),

  array(
    "id"=>"footer_source",
    "default"=> "no-image",
    "type"=> 'hidden_input',
  ),
  array(
    "id"=>"footer_cover",
    "default"=> "false",
    "type"=> 'hidden_input',
  ),



  array(
    "name" => __( "Page Title Section Padding", "mk_framework" ),
    "subtitle" => __( "Default : 40px", "mk_framework" ),
    "desc" => __( "This padding will be applied to both top and bottom of the page section", "mk_framework" ),
    "id" => "_page_title_padding",
    "default" => "40",
    "min" => "0",
    "max" => "500",
    "step" => "1",
    "unit" => 'px',
    "type" => "range"
  ),  

  array(
    "name" => __( "Page Title Align", "mk_framework" ),
    "subtitle" => __( "Using this option you can align the page title text.", "mk_framework" ),
    "desc" => __( "", "mk_framework" ),
    "id" => "_page_title_align",
    "default" => 'left',
    "placeholder" => 'false',
    "width" => 400,
    "options" => array(
      "left" => __('Title on Left', "mk_framework" ),
      "center" => __('Title on Center', "mk_framework" ),
      "right" => __('Title on Right', "mk_framework" ),
    ),
    "type" => "select"
  ),

  array(
    "name" => __( "Page Title Text Size", "mk_framework" ),
    "subtitle" => __( "Default : 18px", "mk_framework" ),
    "desc" => __( "", "mk_framework" ),
    "id" => "_page_title_size",
    "default" => "18",
    "min" => "14",
    "max" => "100",
    "step" => "1",
    "unit" => 'px',
    "type" => "range"
  ),  

  array(
    "name" => __( 'Page Title Color', 'mk_framework' ),
    "subtitle" => __( "Using this option you can change page title text color.", "mk_framework" ),
    "id" => "_page_title_color",
    "default" => "",
    "type" => "color"
  ),

  array(
    "name" => __( "Breadcrumb Skin", "mk_framework" ),
    "subtitle" => __( "Dark skin is for light color backgrounds and light for dark backgrounds.", "mk_framework" ),
    "desc" => __( "", "mk_framework" ),
    "id" => "_breadcrumb_skin",
    "default" => 'dark',
    "placeholder" => 'false',
    "width" => 400,
    "options" => array(
      "dark" => __('Dark', "mk_framework" ),
      "light" => __('Light', "mk_framework" ),
    ),
    "type" => "select"
  ),



);
new mk_metaboxesGenerator( $config, $options );
