<?php

/*
*
* Contains all the dynamic css rules generated based on theme settings.	
*
*/

function mk_dynamic_css() {

	wp_enqueue_style( 'mk-style', get_stylesheet_uri(), false, false, 'all' );

global $mk_settings;

$output = '';




/* Get skin color from global $_GET for skin switcher panel */
if(isset($_GET['skin'])) {
	$accent_color = '#'.$_GET['skin'];
	$mk_settings['footer-link-color']['hover'] = '#'.$_GET['skin'];
	$mk_settings['dashboard-link-color']['hover'] = '#'.$_GET['skin'];
	$mk_settings['sidebar-link-color']['hover'] = '#'.$_GET['skin'];
	$mk_settings['link-color']['hover'] = '#'.$_GET['skin'];
	$mk_settings['footer-social-color']['hover'] = '#'.$_GET['skin'];
	$mk_settings['main-nav-top-color']['hover'] = '#'.$_GET['skin'];
	$mk_settings['main-nav-sub-color']['bg-hover'] = '#'.$_GET['skin'];

} else {
	$accent_color = $mk_settings['accent-color'];
}







###########################################
# Structure
###########################################

// Sidebar Width deducted from content width percentage
$sidebar_width = 100 - $mk_settings['content-width'];

$boxed_layout_width = $mk_settings['grid-width'] + 60;

$output .= "
.mk-grid, 
.mk-inner-grid
{
	max-width: {$mk_settings['grid-width']}px;
}

.theme-page-wrapper.right-layout .theme-content, .theme-page-wrapper.left-layout .theme-content 
{
	width: {$mk_settings['content-width']}%;
}

.theme-page-wrapper #mk-sidebar
{
	width: {$sidebar_width}%;
}



.mk-boxed-enabled,
.mk-boxed-enabled #mk-header.sticky-header,
.mk-boxed-enabled #mk-header.transparent-header-sticky, 
.mk-boxed-enabled .mk-secondary-header
{
	max-width: {$boxed_layout_width}px;

}

@media handheld, only screen and (max-width: {$mk_settings['grid-width']}px)
{

#sub-footer .item-holder
{
	margin:0 20px;
}

}

";





###########################################
# Backgrounds
###########################################



/**
* Body background
*/
$body_bg  = $mk_settings['body-bg']['color'] ? 'background-color:'.$mk_settings['body-bg']['color'].';' : '';
$body_bg .= $mk_settings['body-bg']['url'] ? 'background-image:url(' . $mk_settings['body-bg']['url'] . ');' : ' ';
$body_bg .= $mk_settings['body-bg']['position'] ? 'background-position:'.$mk_settings['body-bg']['position'].';' : '';
$body_bg .= $mk_settings['body-bg']['attachment'] ? 'background-attachment:'.$mk_settings['body-bg']['attachment'].';' : '';
$body_bg .= $mk_settings['body-bg']['repeat'] ? 'background-repeat:'.$mk_settings['body-bg']['repeat'].';' : '';
$body_bg .= ($mk_settings['body-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';


/**
* Header background
*/
$header_bg  = $mk_settings['header-bg']['color'] ? 'background-color:'.$mk_settings['header-bg']['color'].';' : '';
$header_bg .= $mk_settings['header-bg']['url'] ? 'background-image:url(' . $mk_settings['header-bg']['url'] . ');' : ' ';
$header_bg .= $mk_settings['header-bg']['position'] ? 'background-position:'.$mk_settings['header-bg']['position'].';' : '';
$header_bg .= $mk_settings['header-bg']['attachment'] ? 'background-attachment:'.$mk_settings['header-bg']['attachment'].';' : '';
$header_bg .= $mk_settings['header-bg']['repeat'] ? 'background-repeat:'.$mk_settings['header-bg']['repeat'].';' : '';
$header_bg .= ($mk_settings['header-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';


/**
* Page Title background
*/
$page_title_bg  = $mk_settings['page-title-bg']['color'] ? 'background-color:'.$mk_settings['page-title-bg']['color'].';' : '';
$page_title_bg .= $mk_settings['page-title-bg']['url'] ? 'background-image:url(' . $mk_settings['page-title-bg']['url'] . ');' : ' ';
$page_title_bg .= $mk_settings['page-title-bg']['position'] ? 'background-position:'.$mk_settings['page-title-bg']['position'].';' : '';
$page_title_bg .= $mk_settings['page-title-bg']['attachment'] ? 'background-attachment:'.$mk_settings['page-title-bg']['attachment'].';' : '';
$page_title_bg .= $mk_settings['page-title-bg']['repeat'] ? 'background-repeat:'.$mk_settings['page-title-bg']['repeat'].';' : '';
$page_title_bg .= ($mk_settings['page-title-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';
$page_title_bg .= $mk_settings['page-title-bg']['border'] ? 'border-bottom:1px solid '.$mk_settings['page-title-bg']['border'].';' : '';




/**
* Page background
*/
$page_bg  = $mk_settings['page-bg']['color'] ? 'background-color:'.$mk_settings['page-bg']['color'].';' : '';
$page_bg .= $mk_settings['page-bg']['url'] ? 'background-image:url(' . $mk_settings['page-bg']['url'] . ');' : ' ';
$page_bg .= $mk_settings['page-bg']['position'] ? 'background-position:'.$mk_settings['page-bg']['position'].';' : '';
$page_bg .= $mk_settings['page-bg']['attachment'] ? 'background-attachment:'.$mk_settings['page-bg']['attachment'].';' : '';
$page_bg .= $mk_settings['page-bg']['repeat'] ? 'background-repeat:'.$mk_settings['page-bg']['repeat'].';' : '';
$page_bg .= ($mk_settings['page-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';


/**
* Footer background
*/
$footer_bg  = $mk_settings['footer-bg']['color'] ? 'background-color:'.$mk_settings['footer-bg']['color'].';' : '';
$footer_bg .= $mk_settings['footer-bg']['url'] ? 'background-image:url(' . $mk_settings['footer-bg']['url'] . ');' : ' ';
$footer_bg .= $mk_settings['footer-bg']['position'] ? 'background-position:'.$mk_settings['footer-bg']['position'].';' : '';
$footer_bg .= $mk_settings['footer-bg']['attachment'] ? 'background-attachment:'.$mk_settings['footer-bg']['attachment'].';' : '';
$footer_bg .= $mk_settings['footer-bg']['repeat'] ? 'background-repeat:'.$mk_settings['footer-bg']['repeat'].';' : '';
$footer_bg .= ($mk_settings['footer-bg']['cover'] == 1) ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';



$page_title_color = $mk_settings['page-title-color'];
$page_title_size = $mk_settings['page-title-size'];
$page_title_padding = 40;

if ( is_singular()) {
	global  $post;

		$enable = get_post_meta( $post->ID, '_custom_bg', true );

	if ( $enable == 'true' ) {
		$body_bg  = get_post_meta( $post->ID, 'body_color', true ) ? 'background-color: ' .get_post_meta( $post->ID, 'body_color', true ).';' : '';
		$body_bg .= get_post_meta( $post->ID, 'body_image', true ) ? 'background-image:url(' . get_post_meta( $post->ID, 'body_image', true ) . ');' : '';
		$body_bg .= get_post_meta( $post->ID, 'body_repeat', true ) ? 'background-repeat:'.get_post_meta( $post->ID, 'body_repeat', true ).';' : '' ;
		$body_bg .= get_post_meta( $post->ID, 'body_position', true ) ? 'background-position:'.get_post_meta( $post->ID, 'body_position', true ).';' : '';
		$body_bg .= get_post_meta( $post->ID, 'body_attachment', true ) ? 'background-attachment:'.get_post_meta( $post->ID, 'body_attachment', true ).';' : '';
		$body_bg .= (get_post_meta( $post->ID, 'body_cover', true ) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';



		$header_bg  = get_post_meta( $post->ID, 'header_color', true ) ? 'background-color: ' .get_post_meta( $post->ID, 'header_color', true ).';' : '';
		$header_bg .= get_post_meta( $post->ID, 'header_image', true ) ? 'background-image:url(' . get_post_meta( $post->ID, 'header_image', true ) . ');' : '';
		$header_bg .= get_post_meta( $post->ID, 'header_repeat', true ) ? 'background-repeat:'.get_post_meta( $post->ID, 'header_repeat', true ).';' : '' ;
		$header_bg .= get_post_meta( $post->ID, 'header_position', true ) ? 'background-position:'.get_post_meta( $post->ID, 'header_position', true ).';' : '';
		$header_bg .= get_post_meta( $post->ID, 'header_attachment', true ) ? 'background-attachment:'.get_post_meta( $post->ID, 'header_attachment', true ).';' : '';
		$header_bg .= (get_post_meta( $post->ID, 'header_cover', true ) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';


		$page_title_bg  = get_post_meta( $post->ID, 'banner_color', true ) ? 'background-color: ' .get_post_meta( $post->ID, 'banner_color', true ).';' : '';
		$page_title_bg .= get_post_meta( $post->ID, 'banner_image', true ) ? 'background-image:url(' . get_post_meta( $post->ID, 'banner_image', true ) . ');' : '';
		$page_title_bg .= get_post_meta( $post->ID, 'banner_repeat', true ) ? 'background-repeat:'.get_post_meta( $post->ID, 'banner_repeat', true ).';' : '' ;
		$page_title_bg .= get_post_meta( $post->ID, 'banner_position', true ) ? 'background-position:'.get_post_meta( $post->ID, 'banner_position', true ).';' : '';
		$page_title_bg .= get_post_meta( $post->ID, 'banner_attachment', true ) ? 'background-attachment:'.get_post_meta( $post->ID, 'banner_attachment', true ).';' : '';
		$page_title_bg .= (get_post_meta( $post->ID, 'banner_cover', true ) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';


		$page_bg  = get_post_meta( $post->ID, 'page_color', true ) ? 'background-color: ' .get_post_meta( $post->ID, 'page_color', true ).' !important;' : '';
		$page_bg .= get_post_meta( $post->ID, 'page_image', true ) ? 'background-image:url(' . get_post_meta( $post->ID, 'page_image', true ) . ') !important;' : '';
		$page_bg .= get_post_meta( $post->ID, 'page_repeat', true ) ? 'background-repeat:'.get_post_meta( $post->ID, 'page_repeat', true ).' !important;' : '' ;
		$page_bg .= get_post_meta( $post->ID, 'page_position', true ) ? 'background-position:'.get_post_meta( $post->ID, 'page_position', true ).' !important;' : '';
		$page_bg .= get_post_meta( $post->ID, 'page_attachment', true ) ? 'background-attachment:'.get_post_meta( $post->ID, 'page_attachment', true ).' !important;' : '';
		$page_bg .= (get_post_meta( $post->ID, 'page_cover', true ) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';


		$footer_bg  = get_post_meta( $post->ID, 'footer_color', true ) ? 'background-color: ' .get_post_meta( $post->ID, 'footer_color', true ).';' : '';
		$footer_bg .= get_post_meta( $post->ID, 'footer_image', true ) ? 'background-image:url(' . get_post_meta( $post->ID, 'footer_image', true ) . ');' : '';
		$footer_bg .= get_post_meta( $post->ID, 'footer_repeat', true ) ? 'background-repeat:'.get_post_meta( $post->ID, 'footer_repeat', true ).';' : '' ;
		$footer_bg .= get_post_meta( $post->ID, 'footer_position', true ) ? 'background-position:'.get_post_meta( $post->ID, 'footer_position', true ).';' : '';
		$footer_bg .= get_post_meta( $post->ID, 'footer_attachment', true ) ? 'background-attachment:'.get_post_meta( $post->ID, 'footer_attachment', true ).';' : '';
		$footer_bg .= (get_post_meta( $post->ID, 'footer_cover', true ) == 'true') ? 'background-size: cover;background-repeat: no-repeat;-moz-background-size: cover;-webkit-background-size: cover;-o-background-size: cover;' : '';

		$page_title_color = get_post_meta( $post->ID, '_page_title_color', true ) ? get_post_meta( $post->ID, '_page_title_color', true ) : $mk_settings['page-title-color'];
		$page_title_size = get_post_meta( $post->ID, '_page_title_size', true ) ? get_post_meta( $post->ID, '_page_title_size', true ) : $mk_settings['page-title-size'];
		$page_title_padding = get_post_meta( $post->ID, '_page_title_padding', true ) ? get_post_meta( $post->ID, '_page_title_padding', true ) : 40;
	}


}





$output .= "
body,
.theme-main-wrapper
{
	{$body_bg}
}

.mk-side-dashboard {
	background-color:{$mk_settings['dashboard-bg']};
}



#mk-header, 
.mk-secondary-header
{
	{$header_bg};
	border-top:1px solid {$accent_color};
}
.transparent-header.light-header-skin,
.transparent-header.dark-header-skin
 {
  border-top: none !important;
  background: none !important;
}

#mk-page-title {
	{$page_title_bg};
}

#theme-page
{
	{$page_bg}
}

#mk-footer
{
	{$footer_bg}
}
#sub-footer 
{
	background-color: {$mk_settings['sub-footer-bg']};
}

#mk-page-title
{
	padding:{$page_title_padding}px 0;
}

#mk-page-title .mk-page-heading{
	font-size:{$page_title_size}px;
	color:{$page_title_color};
}
#mk-breadcrumbs {
	line-height:{$page_title_size}px;
}

";











###########################################
# Widgets
###########################################


$widget_font_family = (isset($mk_settings['widget-title']['font-family']) && !empty($mk_settings['widget-title']['font-family'])) ? ('font-family:'.$mk_settings['widget-title']['font-family'].';') : '';
$widget_font_size = (isset($mk_settings['widget-title']['font-size']) && !empty($mk_settings['widget-title']['font-size'])) ? ('font-size:'.$mk_settings['widget-title']['font-size'].';') : '';
$widget_font_weight = (isset($mk_settings['widget-title']['font-weight']) && !empty($mk_settings['widget-title']['font-weight'])) ? ('font-weight:'.$mk_settings['widget-title']['font-weight'].';') : '';

$output .= "
.widgettitle 
{
	{$widget_font_family}
	{$widget_font_size}
	{$widget_font_weight}
}

.mk-side-dashboard .widgettitle,
.mk-side-dashboard .widgettitle a
{
	color: {$mk_settings['dashboard-title-color']};
}


.mk-side-dashboard, 
.mk-side-dashboard p
{
	color: {$mk_settings['dashboard-txt-color']};
}

.mk-side-dashboard a 
{
	color: {$mk_settings['dashboard-link-color']['regular']};
}

.mk-side-dashboard a:hover
{
	color: {$mk_settings['dashboard-link-color']['hover']};
}	



#mk-sidebar .widgettitle,
#mk-sidebar .widgettitle a
{
	color: {$mk_settings['sidebar-title-color']};
}


#mk-sidebar, 
#mk-sidebar p
{
	color: {$mk_settings['sidebar-txt-color']};
}

#mk-sidebar a 
{
	color: {$mk_settings['sidebar-link-color']['regular']};
}

#mk-sidebar a:hover
{
	color: {$mk_settings['sidebar-link-color']['hover']};
}	


#mk-footer .widgettitle,
#mk-footer .widgettitle a
{
	color: {$mk_settings['footer-title-color']};
}

#mk-footer, 
#mk-footer p
{
	color: {$mk_settings['footer-txt-color']};
}

#mk-footer a
{
	color: {$mk_settings['footer-link-color']['regular']};
}

#mk-footer a:hover
{
	color: {$mk_settings['footer-link-color']['hover']};
}

.mk-footer-copyright,
.mk-footer-copyright a {
	color: {$mk_settings['footer-socket-color']} !important;
}

.mk-footer-social a {
	color: {$mk_settings['footer-social-color']['regular']} !important;	
}

.mk-footer-social a:hover {
	color: {$mk_settings['footer-social-color']['hover']} !important;
}

";








###########################################
# Typography & Coloring
###########################################

$body_font_backup = (isset($mk_settings['body-font']['font-backup']) && !empty($mk_settings['body-font']['font-backup'])) ? ('font-family:'.$mk_settings['body-font']['font-backup'].';') : '';
$body_font_family = (isset($mk_settings['body-font']['font-family']) && !empty($mk_settings['body-font']['font-family'])) ? ('font-family:'.$mk_settings['body-font']['font-family'].';') : '';
$heading_font_family = (isset($mk_settings['heading-font']['font-family']) && !empty($mk_settings['heading-font']['font-family'])) ? ('font-family:'.$mk_settings['heading-font']['font-family'].';') : '';

$output .= "

body
{
	line-height: 20px;
	{$body_font_backup}
	{$body_font_family}
	font-size:{$mk_settings['body-font']['font-size']};
	color:{$mk_settings['body-txt-color']};
}

p {
	font-size:{$mk_settings['body-font']['font-size']};
	color:{$mk_settings['body-txt-color']};
}

a {
	color:{$mk_settings['link-color']['regular']};
}

a:hover {
	color:{$mk_settings['link-color']['hover']};
}


#theme-page h1,
#theme-page h2,
#theme-page h3,
#theme-page h4,
#theme-page h5,
#theme-page h6 
{
	font-weight:{$mk_settings['heading-font']['font-weight']};
	color:{$mk_settings['heading-color']};
}
h1, h2, h3, h4, h5, h6 
{
	{$heading_font_family}
}


input,
button,
textarea {
	{$body_font_family}
}

";





###########################################
# Main Navigation
###########################################

$main_nav_font_family = (isset($mk_settings['main-nav-font']['font-family']) && !empty($mk_settings['main-nav-font']['font-family'])) ? ('font-family:'.$mk_settings['main-nav-font']['font-family'].';') : '';
$main_nav_font_size = (isset($mk_settings['main-nav-font']['font-size']) && !empty($mk_settings['main-nav-font']['font-size'])) ? ('font-size:'.$mk_settings['main-nav-font']['font-size'].';') : '';
$main_nav_font_weight = (isset($mk_settings['main-nav-font']['font-weight']) && !empty($mk_settings['main-nav-font']['font-weight'])) ? ('font-weight:'.$mk_settings['main-nav-font']['font-weight'].';') : '';


$logo_height = (!empty($mk_settings['logo']['height'])) ? $mk_settings['logo']['height'] : 50;
$header_height = $logo_height + ($mk_settings['header-padding'] * 2);
if(isset($mk_settings['squeeze-sticky-header']) && ($mk_settings['squeeze-sticky-header'])) {
	$sticky_logo_height = $logo_height/1.5;	
	$sticky_header_padding = $mk_settings['header-padding']/2.8; 
	$header_sticky_height = $logo_height/1.5 + (($mk_settings['header-padding']/2.4)*2);
} else {
	$sticky_logo_height = $logo_height;	
	$sticky_header_padding = $mk_settings['header-padding']; 
	$header_sticky_height = $logo_height + (($mk_settings['header-padding'])*2);
}

$output .= "


.header-searchform-input input[type=text]{
	background-color:{$mk_settings['header-bg']['color']};
}

.sticky-header.sticky-header-padding {
	padding-top:{$header_height}px;
}


#mk-main-navigation > ul > li.menu-item,
#mk-main-navigation > ul > li.menu-item > a,
.mk-header-search,
.mk-header-search a,
.mk-cart-link, 
.dashboard-trigger,
.responsive-nav-link
{
	height:{$header_height}px;
	line-height:{$header_height}px;
}

.sticky-trigger-header #mk-main-navigation > ul > li.menu-item,
.sticky-trigger-header #mk-main-navigation > ul > li.menu-item > a,
.sticky-trigger-header .mk-header-search,
.sticky-trigger-header .mk-header-search a,
.sticky-trigger-header .mk-cart-link,
.sticky-trigger-header .dashboard-trigger,
.sticky-trigger-header .responsive-nav-link
{
	height:{$header_sticky_height}px;
	line-height:{$header_sticky_height}px;
}";


if(isset($mk_settings['squeeze-sticky-header']) && ($mk_settings['squeeze-sticky-header'])) {
	$output .= "
	.sticky-trigger-header #mk-main-navigation > ul > li.menu-item > a {
		padding-left:15px;
		padding-right:15px;
	}
	";
}

$output .= ".mk-header-logo, 
.mk-header-logo a {
	height:{$logo_height}px;
	line-height:{$logo_height}px;
}

.sticky-trigger-header .mk-header-logo, 
.sticky-trigger-header .mk-header-logo a {
	height:{$sticky_logo_height}px;
	line-height:{$sticky_logo_height}px;
}

.mk-header-logo,
.mk-header-logo a {
	margin-top: {$mk_settings['header-padding']}px;
	margin-bottom: {$mk_settings['header-padding']}px;
}

.sticky-trigger-header .mk-header-logo,
.sticky-trigger-header .mk-header-logo a
{
	margin-top:{$sticky_header_padding}px;
	margin-bottom: {$sticky_header_padding}px;
}


#mk-main-navigation > ul > li.menu-item > a {
	{$main_nav_font_family}
	{$main_nav_font_size}
	{$main_nav_font_weight}
}

#mk-main-navigation > ul > li.menu-item > a
{
	color:{$mk_settings['main-nav-top-color']['regular']};
	background-color:{$mk_settings['main-nav-top-color']['bg']};
}

#mk-main-navigation > ul > li.current-menu-item > a,
#mk-main-navigation > ul > li.current-menu-ancestor > a,
#mk-main-navigation > ul > li.menu-item:hover > a
{
	color:{$mk_settings['main-nav-top-color']['hover']};
	background-color:{$mk_settings['main-nav-top-color']['bg-hover']};
}



#mk-main-navigation > ul > li.menu-item > a:hover
{
	color:{$mk_settings['main-nav-top-color']['hover']};
	background-color:{$mk_settings['main-nav-top-color']['bg-hover']};
}

.dashboard-trigger,
.res-nav-active {
	color:{$mk_settings['main-nav-top-color']['regular']};
}

.dashboard-trigger:hover,
.res-nav-active:hover {
	color:{$mk_settings['main-nav-top-color']['hover']};
}


#mk-main-navigation ul li .sub  {
	border-top:1px solid {$accent_color};
}

#mk-main-navigation ul li ul,
.header-searchform-input .ui-autocomplete,
.mk-shopping-box,
.shopping-box-header > span {
	background-color:{$mk_settings['main-nav-sub-bg']};
}

#mk-main-navigation ul ul a
{
	color:{$mk_settings['main-nav-sub-color']['regular']};
	background-color:{$mk_settings['main-nav-sub-color']['bg']};
}

#mk-main-navigation ul ul li.current-menu-item > a,
#mk-main-navigation ul ul li.current-menu-ancestor > a {
	color:{$mk_settings['main-nav-sub-color']['hover']};
	background-color:{$mk_settings['main-nav-sub-color']['bg-hover']} !important;
}


.header-searchform-input .ui-autocomplete .search-title,
.header-searchform-input .ui-autocomplete .search-date,
.header-searchform-input .ui-autocomplete i
{
	color:{$mk_settings['main-nav-sub-color']['regular']};
}
.header-searchform-input .ui-autocomplete i,
.header-searchform-input .ui-autocomplete img
{
	border-color:{$mk_settings['main-nav-sub-color']['regular']};
}

.header-searchform-input .ui-autocomplete li:hover  i,
.header-searchform-input .ui-autocomplete li:hover img 
{
	border-color:{$mk_settings['main-nav-sub-color']['hover']};
}


#mk-main-navigation .megamenu-title,
.mk-mega-icon {
	color:{$mk_settings['main-nav-sub-color']['regular']};
}

#mk-main-navigation ul ul a:hover,
.header-searchform-input .ui-autocomplete li:hover
{
	color:{$mk_settings['main-nav-sub-color']['hover']};
	background-color:{$mk_settings['main-nav-sub-color']['bg-hover']} !important;
}

.header-searchform-input .ui-autocomplete li:hover .search-title,
.header-searchform-input .ui-autocomplete li:hover .search-date,
.header-searchform-input .ui-autocomplete li:hover i, 
#mk-main-navigation ul ul a:hover i
{
	color:{$mk_settings['main-nav-sub-color']['hover']};
}


.header-searchform-input input[type=text],
.dashboard-trigger,
.responsive-nav-link i
{
	color:{$mk_settings['main-nav-top-color']['regular']};
}


.header-search-icon,
.header-search-close
{
	color: {$accent_color};
}



.header-search-icon:hover
{
	color: {$mk_settings['main-nav-top-color']['regular']};
}






.responsive-nav-container
{
	background-color:{$mk_settings['main-nav-sub-bg']};
}

#mk-responsive-nav a, 
#mk-responsive-nav .mk_mega_menu .megamenu-title 
{
	color:{$mk_settings['main-nav-sub-color']['regular']};
	background-color:{$mk_settings['main-nav-sub-color']['bg']};
}

#mk-responsive-nav a:hover
{
	color:{$mk_settings['main-nav-sub-color']['hover']};
	background-color:{$mk_settings['main-nav-sub-color']['bg-hover']};
}

";






###########################################
# Responsive Mode
###########################################


$grid_width_80 = $mk_settings['grid-width'] + 80;

$output .= "

@media handheld, only screen and (max-width: {$grid_width_80}px)
{

.dashboard-trigger.res-mode {
	display:block !important;
}

.dashboard-trigger.desktop-mode {
	display:none !important;
}

}



@media handheld, only screen and (max-width: {$mk_settings['res-nav-width']}px)
{

#mk-header.sticky-header,
.mk-secondary-header {
	position: relative !important;
}

.main-navigation-ul li.menu-item,
.main-navigation-ul li.sub-menu,
.sticky-header-padding
{
	display:none !important;
}


.header-search-icon i,
.mk-cart-link i 
{
	padding:0 !important;
	margin:0 !important;
	border:none !important;
}

.header-search-icon,
.mk-cart-link 
{
	margin:0 8px !important;
	padding:0 !important;
}


.mk-header-logo 
{
	
	margin-left:20px !important;
	display:inline-block !important;
}

.main-navigation-ul 
{
	text-align:center !important;
}

.responsive-nav-link {
	display:inline-block !important;
}

.mk-shopping-box {
	display:none !important;
}

}


";








###########################################
# Accent Color
###########################################

$overlay_color = isset($mk_settings['hover-overlay-color']) ? $mk_settings['hover-overlay-color'] : $accent_color;

if(isset($mk_settings['hover-overlay-color']) && !empty($mk_settings['hover-overlay-color'])) {
	$overlay_color = $mk_settings['hover-overlay-color'];
} else {
	$overlay_color = $accent_color;
}

$output .= "
.mk-skin-color,
.blog-categories a,
.blog-categories,
.rating-star .rated,
.widget_testimonials .testimonial-position,
.testimonial-company,
.portfolio-similar-meta .cats,
.entry-meta .cats a,
.search-meta span a,
.search-meta span,
.single-share-trigger:hover,
.single-share-trigger.mk-toggle-active,
.project_content_section .project_cats a,
.mk-love-holder i:hover,
.blog-comments i:hover,
.comment-count i:hover,
.widget_posts_lists li .cats a,
.mk-employeee-networks li a:hover,
.mk-tweet-shortcode span a,
.portfolio-permalink:hover i,
.mk-pricing-table .mk-icon-star,
.mk-process-steps.dark-skin .step-icon,
.mk-social-network a.light,
.mk-edge-next, 
.mk-edge-prev,
.prev-item-caption, 
.next-item-caption,
.mk-employees.column-style .team-member-position,
.mk-event-countdown.accent-skin .countdown-timer,
.mk-box-text:hover i,
.mk-process-steps.light-skin .mk-step:hover .step-icon,
.mk-process-steps.light-skin .active-step-item .step-icon,
.blog-modern-entry .blog-categories
{
	color: {$accent_color};
}

.mk-love-holder .item-loved i,
.widget_posts_lists .cats a,
#mk-breadcrumbs a:hover,
.widget_social_networks a.light,
.widget_posts_tabs .cats a {
	color: {$accent_color} !important;	
}

a:hover,
.mk-tweet-shortcode span a:hover {
	color:{$mk_settings['link-color']['hover']};
}



/* Main Skin Color : Background-color Property */
#wp-calendar td#today,
div.jp-play-bar,
.mk-header-button:hover,
.next-prev-top .go-to-top:hover,
.wide-eye-portfolio-item .portfolio-meta .the-title,
.mk-portfolio-carousel .portfolio-meta:before,
.meta-image.frame-grid-portfolio-item .portfolio-meta .the-title,
.masonry-border,
.author-social li a:hover,
.slideshow-swiper-arrows:hover,
.mk-clients-shortcode .clients-info,
.mk-contact-form-wrapper .mk-form-row i.input-focused,
.mk-login-form .form-row i.input-focused,
.comment-form-row i.input-focused,
.widget_social_networks a:hover, 
.mk-social-network a:hover,
.blog-masonry-entry .post-type-icon:hover,
.list-posttype-col .post-type-icon:hover,
.single-type-icon,
.demo_store,
.add_to_cart_button:hover,
.mk-process-steps.dark-skin .mk-step:hover .step-icon,
.mk-process-steps.dark-skin .active-step-item .step-icon,
.mk-social-network a.light:hover,
.widget_tag_cloud a:hover, 
.widget_categories a:hover,
.edge-nav-bg,
.gform_wrapper .button:hover,
.mk-event-countdown.accent-skin li:before,
.masonry-border,
.mk-gallery.thumb-style .gallery-thumb-lightbox:hover,
.fancybox-close:hover,
.fancybox-nav span:hover,
.blog-scroller-arrows:hover
{
	background-color: {$accent_color};
}

.hover-overlay {
	Background-color:{$overlay_color};
}


::-webkit-selection
{
	background-color: {$accent_color};
	color:#fff;
}

::-moz-selection
{
	background-color: {$accent_color};
	color:#fff;
}

::selection
{
	background-color: {$accent_color};
	color:#fff;
}

.next-prev-top .go-to-top,
.mk-contact-form-wrapper .text-input:focus, .mk-contact-form-wrapper .mk-textarea:focus,
.widget .mk-contact-form-wrapper .text-input:focus, .widget .mk-contact-form-wrapper .mk-textarea:focus,
.mk-contact-form-wrapper .mk-form-row i.input-focused,
.comment-form-row .text-input:focus, .comment-textarea textarea:focus,
.comment-form-row i.input-focused,
.mk-login-form .form-row i.input-focused,
.mk-login-form .form-row input:focus,
#sub-footer,
.mk-social-network a.light,
.mk-event-countdown.accent-skin li
{
	border-color: {$accent_color};
}

";








###########################################
# MISC
###########################################

$output .= "

.mk-divider .divider-inner i  
{
	background-color: {$mk_settings['page-bg']['color']};
}

.mk-loader 
{
	border: 2px solid {$accent_color};
}

.alt-title span,
.single-post-fancy-title span,
.portfolio-social-share,
.woocommerce-share ul
{
	background-color: {$mk_settings['page-bg']['color']};
}

";





###########################################
# WOOCOMMERCE DYNAMIC STYLES
###########################################
if ( class_exists( 'woocommerce' ) ) {

$accent_color_90 = mk_convert_rgba($accent_color, 0.9);

$output .= "

.woocommerce-page ul.products li.product .add_to_cart_button i,
.woocommerce-page .entry-summary .star-rating,
.woocommerce-page .quantity .plus, 
.woocommerce-page .quantity .minus,
.product_meta a,
.sku_wrapper span,
.order-total,
ul.cart_list .star-rating, 
ul.product_list_widget .star-rating,
.mini-cart-remove
{
	color: {$accent_color};
}

.mk-checkout-payement h3,
.woocommerce-message .button:hover, 
.woocommerce-error .button:hover, 
.woocommerce-info .button:hover,
.woocommerce.widget_shopping_cart .amount,
.widget_product_categories .current-cat {
	color: {$accent_color} !important;
}

.button-icon-holder i,
.mini-cart-button i,
.single_add_to_cart_button i,
.add_to_cart_button:hover,
.woocommerce-page ul.products li.product .add_to_cart_button:hover,
.widget_price_filter .ui-slider .ui-slider-range,
.mini-cart-remove:hover,
.mini-cart-button:hover,
.widget_product_tag_cloud a:hover,
.product-single-lightbox:hover {
	background-color: {$accent_color} !important;
}

span.onsale,
.product-loading-icon,
.product-category:hover h4 {
	background-color:{$accent_color_90};
}

.mk-cart-link {
	color:{$mk_settings['main-nav-top-color']['regular']};
}
.mk-cart-link:hover {
	color:{$mk_settings['main-nav-top-color']['hover']};
}

.mini-cart-remove,
.mini-cart-button {
	border-color: {$accent_color};
}

";

}








$output .= $mk_settings['custom-css'];



$output = preg_replace('/\r|\n|\t/', '', $output);

wp_enqueue_style('theme-dynamic-styles',get_template_directory_uri() . '/custom.css');

wp_add_inline_style( 'theme-dynamic-styles', $output);


}
add_action( 'wp_enqueue_scripts', 'mk_dynamic_css', 10 );






