<?php
/**
 */
define( 'STEP_ID', __( "Step", "mk_framework" ) );
class WPBakeryShortCode_mk_step extends WPBakeryShortCode_VC_Column {
    protected $predefined_atts = array(
        'tab_id' => STEP_ID,
        'title' => ''
    );
    public function customAdminBlockParams() {
        return ' id="tab-'.$this->atts['tab_id'] .'"';
    }
    public function mainHtmlBlockParams( $width, $i ) {
        return 'data-element_type="'.$this->settings["base"].'" class="wpb_'.$this->settings['base'].' wpb_sortable wpb_content_holder"'.$this->customAdminBlockParams();
    }
    public function containerHtmlBlockParams( $width, $i ) {
        return 'class="wpb_column_container vc_container_for_children"';
    }
    public function getColumnControls( $controls, $extended_css = '' ) {
        $controls_start = '<div class="controls controls_column'.( !empty( $extended_css ) ? " {$extended_css}" : '' ).'">';
        $controls_end = '</div>';

        if ( $extended_css=='bottom-controls' ) $control_title = sprintf( __( 'Append to this %s', "mk_framework"), strtolower( $this->settings( 'name' ) ) );
        else $control_title = sprintf( __( 'Prepend to this %s', "mk_framework"), strtolower( $this->settings( 'name' ) ) );

        $controls_add = ' <a class="column_add" href="#" title="'.$control_title.'"></a>';
        $controls_edit = ' <a class="column_edit" href="#" title="'.sprintf( __( 'Edit this %s', "mk_framework"), strtolower( $this->settings( 'name' ) ) ).'"></a>';
        $controls_clone = '<a class="column_clone" href="#" title="'.sprintf( __( 'Clone this %s', "mk_framework"), strtolower( $this->settings( 'name' ) ) ).'"></a>';

        $controls_delete = '<a class="column_delete" href="#" title="'.sprintf( __( 'Delete this %s', "mk_framework"), strtolower( $this->settings( 'name' ) ) ).'"></a>';
        return $controls_start .  $controls_add . $controls_edit . $controls_clone . $controls_delete . $controls_end;
    }
}



class WPBakeryShortCode_mk_process_steps extends WPBakeryShortCode {

    public function __construct( $settings ) {
        parent::__construct( $settings );
    }

    public function contentAdmin( $atts, $content = null ) {
        $width = $custom_markup = '';
        $shortcode_attributes = array( 'width' => '1/1' );
        foreach ( $this->settings['params'] as $param ) {
            if ( $param['param_name'] != 'content' ) {
                //$shortcode_attributes[$param['param_name']] = $param['value'];
                if ( isset( $param['value'] ) && is_string( $param['value'] ) ) {
                    $shortcode_attributes[$param['param_name']] = __( $param['value'], "mk_framework" );
                } elseif ( isset( $param['value'] ) ) {
                    $shortcode_attributes[$param['param_name']] = $param['value'];
                }
            } else if ( $param['param_name'] == 'content' && $content == NULL ) {
                    //$content = $param['value'];
                    $content = __( $param['value'], "mk_framework" );
                }
        }

        $elem = $this->getElementHolder( $width );

        $iner = '';
        foreach ( $this->settings['params'] as $param ) {
            $custom_markup = '';
            $param_value = isset( $$param['param_name'] ) ? $$param['param_name'] : '';
            if ( is_array( $param_value ) ) {
                // Get first element from the array
                reset( $param_value );
                $first_key = key( $param_value );
                $param_value = $param_value[$first_key];
            }
            $iner .= $this->singleParamHtmlHolder( $param, $param_value );
        }
        //$elem = str_ireplace('%wpb_element_content%', $iner, $elem);

        if ( isset( $this->settings["custom_markup"] ) &&$this->settings["custom_markup"] != '' ) {
            if ( $content != '' ) {
                $custom_markup = str_ireplace( "%content%", $tmp.$content, $this->settings["custom_markup"] );
            } else if ( $content == '' && isset( $this->settings["default_content_in_template"] ) && $this->settings["default_content_in_template"] != '' ) {
                    $custom_markup = str_ireplace( "%content%", $this->settings["default_content_in_template"], $this->settings["custom_markup"] );
                } else {
                $custom_markup =  str_ireplace( "%content%", '', $this->settings["custom_markup"] );
            }
            //$output .= do_shortcode($this->settings["custom_markup"]);
            $iner .= do_shortcode( $custom_markup );
        }
        $elem = str_ireplace( '%wpb_element_content%', $iner, $elem );
        $output = $elem;

        return $output;
    }

    public function getTabTemplate() {
        return '<div class="wpb_template">'.do_shortcode( '[mk_step title="Step" tab_id=""][/vc_step]' ).'</div>';
    }


}
