<?php

vc_map(array(
    "name" => __("Row", "mk_framework"),
    "base" => "vc_row",
    "is_container" => true,
    "show_settings_on_create" => false,
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "toggle",
            "heading" => __("Fullwidth Row?.", "mk_framework"),
            "param_name" => "fullwidth",
            "value" => "false",
            "description" => __("If you enable this option, this row will no longer follow the main grid width and will stretch 100% to screen width.", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Attached Colums", "mk_framework"),
            "param_name" => "attached",
            "value" => "false",
            "description" => __("This option will attach child column to each other. In other words columns inside this row will be stick to each other.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Column Paddings", "mk_framework"),
            "param_name" => "padding",
            "value" => "0",
            "min" => "0",
            "max" => "5",
            "step" => "1",
            "unit" => '%',
            "description" => __("This option will create paading space inside columns to allow. mostly useful when 'Attached Colums' option is enabled. Please note that padding unit is by percent and will be applied to all directions.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Row ID", "mk_framework"),
            "param_name" => "id",
            "description" => __("This ID is useful when you are going to make a single page website.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    ),
    "js_view" => 'VcRowView'
));
vc_map(array(
    "name" => __("Row", "mk_framework"),
    "base" => "vc_row_inner",
    "content_element" => false,
    "is_container" => true,
    "show_settings_on_create" => false,
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    ),
    "js_view" => 'VcRowView'
));
vc_map(array(
    "name" => __("Column", "mk_framework"),
    "base" => "vc_column",
    "is_container" => true,
    "content_element" => false,
    "params" => array(
        array(
            "type" => "color",
            "heading" => __("Column Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("You can optionally add border color to columns.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Column Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("You can set Background Color to columns using this option.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        )
    ),
    "js_view" => 'VcColumnView'
));

vc_map(array(
    "name" => __("Page Section", "mk_framework"),
    "base" => "mk_page_section",
    "category" => __('General', 'mk_framework'),
    "is_container" => true,
    "show_settings_on_create" => false,
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Section Structure", "mk_framework"),
            "param_name" => "layout_structure",
            "width" => 300,
            "value" => array(
                __('Full Layout', "mk_framework") => "full",
                __('One Half (Background Image on Left & Content in Right)', "mk_framework") => "half_left",
                __('One Half (Background Image on Right & Content in Left)', "mk_framework") => "half_right"
            ),
            "description" => __("If chosen One Half layouts, uploaded background image will be displyed in one half of the screen width. the shortcodes placed in this section will occupy the rest of the half(not screen wide, rather it will follow half of the main grid width).", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Box Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "upload",
            "heading" => __("Background Image", "mk_framework"),
            "param_name" => "bg_image",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Border Top and Bottom Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Background Attachment", "mk_framework"),
            "param_name" => "attachment",
            "width" => 150,
            "value" => array(
                __('Scroll', "mk_framework") => "scroll",
                __('Fixed', "mk_framework") => "fixed"
            ),
            "description" => __("The background-attachment property sets whether a background image is fixed or scrolls with the rest of the page. <a href='http://www.w3schools.com/CSSref/pr_background-attachment.asp'>Read More</a>", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Background Position", "mk_framework"),
            "param_name" => "bg_position",
            "width" => 300,
            "value" => array(
                __('Left Top', "mk_framework") => "left top",
                __('Center Top', "mk_framework") => "center top",
                __('Right Top', "mk_framework") => "right top",
                __('Left Center', "mk_framework") => "left center",
                __('Center Center', "mk_framework") => "center center",
                __('Right Center', "mk_framework") => "right center",
                __('Left Bottom', "mk_framework") => "left bottom",
                __('Center Bottom', "mk_framework") => "center bottom",
                __('Right Bottom', "mk_framework") => "right bottom"
            ),
            "description" => __("First value defines horizontal position and second vertical positioning.", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Background Repeat", "mk_framework"),
            "param_name" => "bg_repeat",
            "width" => 300,
            "value" => array(
                __('Repeat', "mk_framework") => "repeat",
                __('No Repeat', "mk_framework") => "no-repeat",
                __('Horizontally repeat', "mk_framework") => "repeat-x",
                __('Vertically Repeat', "mk_framework") => "repeat-y"
            ),
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "toggle",
            "heading" => __('Cover whole background', 'mk_framework'),
            "description" => __("Scale the background image to be as large as possible so that the background area is completely covered by the background image. Some parts of the background image may not be in view within the background positioning area.", "mk_framework"),
            "param_name" => "bg_stretch",
            "value" => "false"
        ),
        array(
            "type" => "toggle",
            "heading" => __("Enable Parallax background", "mk_framework"),
            "param_name" => "parallax",
            "value" => "false",
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Parallax Direction", "mk_framework"),
            "param_name" => "parallax_direction",
            "width" => 300,
            "value" => array(
                __('Vertical trigger on page scroll', "mk_framework") => "vertical",
                __('Vertical trigger on mouse move', "mk_framework") => "vertical_mouse",
                __('Horizontal trigger on page scroll', "mk_framework") => "horizontal",
                __('Horizontal trigger on mouse move', "mk_framework") => "horizontal_mouse",
                __('Horizontal & Vertical trigger on mouse move', "mk_framework") => "both_axis_mouse"
            ),
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Background Video?", "mk_framework"),
            "param_name" => "bg_video",
            "width" => 300,
            "value" => array(
                __('No', "mk_framework") => "no",
                __('Yes', "mk_framework") => "yes"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "upload",
            "heading" => __("MP4 Format", "mk_framework"),
            "param_name" => "mp4",
            "value" => "",
            "description" => __("Compatibility for Safari, IE9", "mk_framework"),
            "dependency" => array(
                'element' => "bg_video",
                'value' => array(
                    'yes'
                )
            )
        ),
        array(
            "type" => "upload",
            "heading" => __("WebM Format", "mk_framework"),
            "param_name" => "webm",
            "value" => "",
            "description" => __("Compatibility for Firefox4, Opera, and Chrome", "mk_framework"),
            "dependency" => array(
                'element' => "bg_video",
                'value' => array(
                    'yes'
                )
            )
        ),
        array(
            "type" => "upload",
            "heading" => __("OGV Format", "mk_framework"),
            "param_name" => "ogv",
            "value" => "",
            "description" => __("Compatibility for older Firefox and Opera versions", "mk_framework"),
            "dependency" => array(
                'element' => "bg_video",
                'value' => array(
                    'yes'
                )
            )
        ),
        array(
            "type" => "upload",
            "heading" => __("Background Video Preview image (and fallback image)", "mk_framework"),
            "param_name" => "poster_image",
            "value" => "",
            "description" => __("This Image will shown until video load. in case of video is not supported or did not load the image will remain as fallback.", "mk_framework"),
            "dependency" => array(
                'element' => "bg_video",
                'value' => array(
                    'yes'
                )
            )
        ),
        
        array(
            "type" => "toggle",
            "heading" => __("Mask Pattern? (optional)", "mk_framework"),
            "param_name" => "mask",
            "description" => __("If you enable this option a pattern will overlay the section.", "mk_framework"),
            "value" => "false",
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Color Mask (optional)", "mk_framework"),
            "param_name" => "color_mask",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "range",
            "heading" => __("Color Mask Opacity", "mk_framework"),
            "param_name" => "mask_opacity",
            "value" => "0.6",
            "min" => "0",
            "max" => "1",
            "step" => "0.1",
            "unit" => 'alpha',
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),

        array(
            "type" => "dropdown",
            "heading" => __("Expandable Page Section", "mk_framework"),
            "param_name" => "expandable",
            "width" => 300,
            "value" => array(
                __('No', "mk_framework") => "false",
                __('Yes', "mk_framework") => "true"
            ),
            "description" => __("If you want to have your page section content in a toggle that can be clicked to expand/collapse, Choose Yes and customize below options. This option will not work if \"Full Height\" option is enabled.", "mk_framework")
        ),

         array(
            "type" => "textfield",
            "heading" => __("Expandable Page Section Text", "mk_framework"),
            "param_name" => "expandable_txt",
            "value" => "",
            "description" => __("e.g. Click here to see more.", "mk_framework"),
             "dependency" => array(
                'element' => "expandable",
                'value' => array(
                    'true'
                )
            )
        ),
          array(
            "type" => "color",
            "heading" => __("Expandable Page Section Text & Arrow Color", "mk_framework"),
            "param_name" => "expandable_txt_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "expandable",
                'value' => array(
                    'true'
                )
            )
        ),
        
        array(
            "type" => "range",
            "heading" => __("Padding Top & Bottom", "mk_framework"),
            "param_name" => "padding",
            "value" => "20",
            "min" => "0",
            "max" => "1000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("This option defines how much top & bottom distance you need to have inside this section", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Full Height?", "mk_framework"),
            "param_name" => "full_height",
            "description" => __("Using this option you can make this page section full height and it's height will follow screen height that is visible in browser. Please note that if the content is larger than the window height, the full height feature will be disabled. Full height is browser resize sensetive and completely resposnive. This option will not work if you have enabled \"Expandable Page Section\" option above.", "mk_framework"),
            "value" => "false"
        ),
        array(
            "type" => "toggle",
            "heading" => __("Full Width?", "mk_framework"),
            "param_name" => "full_width",
            "value" => "false",
            "description" => __("If you want to make this section's content 100% full width enable this option.", "mk_framework"),
            "dependency" => array(
                'element' => "layout_structure",
                'value' => array(
                    'full'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Section ID", "mk_framework"),
            "param_name" => "section_id",
            "value" => "",
            "description" => __("You can user this field to give your page section a unique ID. please note that this should be used only once in a page.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
        
    ),
    "js_view" => 'VcRowView'
));

vc_map(array(
    "name" => __("Custom Box", "mk_framework"),
    "base" => "mk_custom_box",
    "is_container" => true,
    "category" => __('General', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "color",
            "heading" => __("Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Drop Outer Shadow", "mk_framework"),
            "param_name" => "drop_shadow",
            "value" => "false"
        ),
        array(
            "type" => "upload",
            "heading" => __("Background Image", "mk_framework"),
            "param_name" => "bg_image",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Background Position", "mk_framework"),
            "param_name" => "bg_position",
            "width" => 300,
            "value" => array(
                __('Left Top', "mk_framework") => "left top",
                __('Center Top', "mk_framework") => "center top",
                __('Right Top', "mk_framework") => "right top",
                __('Left Center', "mk_framework") => "left center",
                __('Center Center', "mk_framework") => "center center",
                __('Right Center', "mk_framework") => "right center",
                __('Left Bottom', "mk_framework") => "left bottom",
                __('Center Bottom', "mk_framework") => "center bottom",
                __('Right Bottom', "mk_framework") => "right bottom"
            ),
            "description" => __("First value defines horizontal position and second vertical positioning.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Background Repeat", "mk_framework"),
            "param_name" => "bg_repeat",
            "width" => 300,
            "value" => array(
                __('Repeat', "mk_framework") => "repeat",
                __('No Repeat', "mk_framework") => "no-repeat",
                __('Horizontally repeat', "mk_framework") => "repeat-x",
                __('Vertically Repeat', "mk_framework") => "repeat-y"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Scale the background image to be as large as possible so that the background area is completely covered by the background image. Some parts of the background image may not be in view within the background positioning area", "mk_framework"),
            "param_name" => "bg_stretch",
            "value" => "false"
        ),
        
        array(
            "type" => "range",
            "heading" => __("Padding Top and Bottom", "mk_framework"),
            "param_name" => "padding_vertical",
            "value" => "30",
            "min" => "0",
            "max" => "200",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Padding Left and Right", "mk_framework"),
            "param_name" => "padding_horizental",
            "value" => "20",
            "min" => "0",
            "max" => "200",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "20",
            "min" => "-50",
            "max" => "300",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    ),
    "js_view" => 'VcColumnView'
));

vc_map(array(
    "name" => __("Image", "mk_framework"),
    "base" => "mk_image",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "upload",
            "heading" => __("Upload Your image", "mk_framework"),
            "param_name" => "src",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "range",
            "heading" => __("Image Width", "mk_framework"),
            "param_name" => "image_width",
            "value" => "500",
            "min" => "10",
            "max" => "2600",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Image Height", "mk_framework"),
            "param_name" => "image_height",
            "value" => "400",
            "min" => "10",
            "max" => "5000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Image Cropping?", "mk_framework"),
            "param_name" => "crop",
            "value" => "true",
            "description" => __("If you dont want to crop your image based on the dimensions you defined above disable this option. Only wdith will be used to give the image container max-width property.", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Image Hover?", "mk_framework"),
            "param_name" => "hover",
            "value" => "true",
            "description" => __("If you disable this option the image hover layer including the 'click to open in lightbox' and 'image title' will be removed from this image.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Custom URL", "mk_framework"),
            "param_name" => "custom_url",
            "value" => "",
            "description" => __("use this option if you want to link to a webpage instead of 'click to open in lightbox'", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Custom LightBox URL", "mk_framework"),
            "param_name" => "custom_lightbox_url",
            "value" => "",
            "description" => __("If you want to load custom image, video in lightbox then fill this form with the URL of the image or video(e.g. youtube, vimeo)'", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Custom URL Target", "mk_framework"),
            "param_name" => "target",
            "width" => 200,
            "value" => $target_arr,
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Lightbox Group rel", "mk_framework"),
            "param_name" => "group",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "10",
            "min" => "-50",
            "max" => "300",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
        
        
        
    )
));


vc_map(array(
    "name" => __("Image Box", "mk_framework"),
    "base" => "mk_image_box",
    "category" => __('General', 'mk_framework'),
    "params" => array(
         array(
            "type" => "textfield",
            "heading" => __("Box Title", "mk_framework"),
            "param_name" => "title",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

         array(
            "type" => "textarea",
            "heading" => __("Box Description", "mk_framework"),
            "param_name" => "content",
            "holder" => "div",
            "value" => "",
            "description" => __("This field accepts HTML tags.", "mk_framework")
        ),
        array(
            "type" => "upload",
            "heading" => __("Upload Your image", "mk_framework"),
            "param_name" => "src",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Image Width", "mk_framework"),
            "param_name" => "image_width",
            "value" => "500",
            "min" => "10",
            "max" => "2600",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Image Height", "mk_framework"),
            "param_name" => "image_height",
            "value" => "400",
            "min" => "10",
            "max" => "5000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Image Cropping?", "mk_framework"),
            "param_name" => "crop",
            "value" => "true",
            "description" => __("If you dont want to crop your image based on the dimensions you defined above disable this option. Only wdith will be used to give the image container max-width property.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Link (optional)", "mk_framework"),
            "param_name" => "url",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("URL Target", "mk_framework"),
            "param_name" => "target",
            "width" => 200,
            "value" => $target_arr,
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Box Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("", "mk_framework"),
        ),
        array(
            "type" => "color",
            "heading" => __("Content Text Color", "mk_framework"),
            "param_name" => "text_color",
            "value" => "",
            "description" => __("This option will apply to title and description", "mk_framework"),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
        
        
        
    )
));

vc_map(array(
    "name" => __("Moving Image", "mk_framework"),
    "base" => "mk_moving_image",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "upload",
            "heading" => __("Upload Your image", "mk_framework"),
            "param_name" => "src",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "value" => $infinite_animation,
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Title & Alt", "mk_framework"),
            "param_name" => "title",
            "value" => "",
            "description" => __("For SEO purposes you may need to fill out the title and alt property for this image", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
        
    )
));



vc_map(array(
    "name" => __("Image Gallery", "mk_framework"),
    "base" => "mk_gallery",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "attach_images",
            "heading" => __("Add Images", "mk_framework"),
            "param_name" => "images",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "Grid" => "grid",
                "Slider with Thmbnails" => "thumb"
                
            ),
            "description" => __("Please choose how would you like to show you gallery images?", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("structure", "mk_framework"),
            "param_name" => "structure",
            "value" => array(
                "Column Base" => "column",
                "scroller" => "scroller"
            ),
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'grid'
                )
            )
        ),
        
        array(
            "type" => "range",
            "heading" => __("How many Columns?", "mk_framework"),
            "param_name" => "column",
            "value" => "3",
            "min" => "1",
            "max" => "6",
            "step" => "1",
            "unit" => 'column',
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "structure",
                'value' => array(
                    'column'
                )
            )
        ),
        array(
            "type" => "range",
            "heading" => __("Image Dimension", "mk_framework"),
            "param_name" => "scroller_dimension",
            "value" => "400",
            "min" => "100",
            "max" => "1000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("This width will be applied to both height and width.", "mk_framework"),
            "dependency" => array(
                'element' => "structure",
                'value' => array(
                    'scroller'
                )
            )
        ),
        
        array(
            "type" => "range",
            "heading" => __("Preview Image Width", "mk_framework"),
            "param_name" => "thumb_style_width",
            "value" => "700",
            "min" => "100",
            "max" => "1000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'thumb'
                )
            )
        ),
        array(
            "type" => "range",
            "heading" => __("Preview Image Height", "mk_framework"),
            "param_name" => "thumb_style_height",
            "value" => "380",
            "min" => "100",
            "max" => "1000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'thumb'
                )
            )
        ),
        array(
            "type" => "toggle",
            "heading" => __("Image Title", "mk_framework"),
            "param_name" => "enable_title",
            "value" => "true",
            "description" => __("If you dont want to show image title disable this option.", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'grid'
                )
            )
        ),
        
        array(
            "type" => "range",
            "heading" => __("Image Height", "mk_framework"),
            "param_name" => "height",
            "value" => "500",
            "min" => "100",
            "max" => "1000",
            "step" => "1",
            "unit" => 'px',
            "description" => __("You can define you gallery image's height from this option. It only works for column structure", "mk_framework"),
            "dependency" => array(
                'element' => "structure",
                'value' => array(
                    'column'
                )
            )
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Increase Quality of Image", "mk_framework"),
            "param_name" => "image_quality",
            "value" => array(
                __("No Actions", 'mk_framework') => "1",
                __("Images 2 times bigger (retina compatible)", 'mk_framework') => "2",
                __("Images 3 times bigger (fullwidth row compatible)", 'mk_framework') => "3"
            ),
            "description" => __("If you want Gallery images be retina compatible or you just want to use it in fullwidth row, you may consider increasing the image size. This option basically amplifies the image size to not let the browser scale it to fit the column (which is a quality loss).", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'grid'
                )
            )
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "20",
            "min" => "0",
            "max" => "300",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));




vc_map(array(
    "name" => __("Button", "mk_framework"),
    "base" => "mk_button",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "textfield",
            "holder" => "div",
            "heading" => __("Button Text", "mk_framework"),
            "param_name" => "content",
            "rows" => 1,
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "Flat" => "flat",
                "3D" => "three-dimension",
                "Outline" => "outline"
            ),
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Size", "mk_framework"),
            "param_name" => "size",
            "value" => array(
                "Medium" => "medium",                
                "Large" => "large",
                "X Large" => "xlarge",
                "XX Large" => "xxlarge",
                "Small" => "small"
            ),
            "description" => __("", "mk_framework")
        ),
        
        
        array(
            "type" => "color",
            "heading" => __("Button Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "#444444",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'flat',
                    'three-dimension'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Button Text Color", "mk_framework"),
            "param_name" => "txt_color",
            "value" => "#fff",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'flat',
                    'three-dimension'
                )
            )
        ),
        
        array(
            "type" => "color",
            "heading" => __("Outline Button Skin", "mk_framework"),
            "param_name" => "outline_skin",
            "value" => "#444444",
            "description" => __("This option is for outline style.", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'outline'
                )
            )
        ),
        
        array(
            "type" => "color",
            "heading" => __("Outline Button Hover Text", "mk_framework"),
            "param_name" => "outline_hover_skin",
            "value" => "#fff",
            "description" => __("This option is for outline style.", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'outline'
                )
            )
        ),
        
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Icons", "mk_framework"),
            "param_name" => "icon",
            "width" => 200,
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("Optionally you can insert icon into button.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Button URL", "mk_framework"),
            "param_name" => "url",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Target", "mk_framework"),
            "param_name" => "target",
            "width" => 200,
            "value" => $target_arr,
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Button ID", "mk_framework"),
            "param_name" => "id",
            "value" => "",
            "description" => __("If your want to use id for this button to refer it in your custom JS, fill this textbox.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "15",
            "min" => "-30",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Infinite Animations", "mk_framework"),
            "param_name" => "infinite_animation",
            "value" => $infinite_animation,
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));


vc_map(array(
    "name" => __("Call to Action", "mk_framework"),
    "base" => "mk_call_to_action",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Box Style", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "Default" => "default",
                "Custom" => "custom"
            ),
            
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Box Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Box Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Text Color", "mk_framework"),
            "param_name" => "text_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "range",
            "heading" => __("Font Size", "mk_framework"),
            "param_name" => "text_size",
            "value" => "18",
            "min" => "12",
            "max" => "70",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Font Weight", "mk_framework"),
            "param_name" => "font_weight",
            "width" => 150,
            "value" => array(
                __('Default', "mk_framework") => "inhert",
                __('Semi Bold', "mk_framework") => "600",
                __('Bold', "mk_framework") => "bold",
                __('Bolder', "mk_framework") => "bolder",
                __('Normal', "mk_framework") => "normal",
                __('Light', "mk_framework") => "300"
            ),
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Content Text", "mk_framework"),
            "param_name" => "text",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Button Text", "mk_framework"),
            "param_name" => "button_text",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Button URL", "mk_framework"),
            "param_name" => "button_url",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "color",
            "heading" => __("Button Skin", "mk_framework"),
            "param_name" => "outline_skin",
            "value" => "#444",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Hover State Skin", "mk_framework"),
            "param_name" => "outline_hover_skin",
            "value" => "#fff",
            "description" => __("This option is for Text and icon colors.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    )
));

vc_map(array(
    "name" => __("Message Box", "mk_framework"),
    "base" => "mk_message_box",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "dropdown",
            "heading" => __("Type", "mk_framework"),
            "param_name" => "type",
            "value" => array(
                "Love Box" => "love",
                "Hint Box" => "hint",
                "Solution Box" => "solution",
                "Alert Box" => "alert",
                "Confirm Box" => "confirm",
                "Warning Box" => "warning",
                "Star Box" => "star",
                "Built It Yourself" => "generic"
            ),
            
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Box Icon", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'generic'
                )
            )
        ),
        
        array(
            "type" => "color",
            "heading" => __("Box Color", "mk_framework"),
            "param_name" => "box_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'generic'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'generic'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Content Color", "mk_framework"),
            "param_name" => "content_color",
            "value" => "",
            "description" => __("This option affects icon, vertical separator and text color.", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'generic'
                )
            )
        ),
        
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Write your message in this textarea.", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));

vc_map(array(
    "name" => __("Icon Box", "mk_framework"),
    "base" => "mk_icon_box",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Box Style", "mk_framework"),
            "param_name" => "style",
            "width" => 300,
            "value" => array(
                __('Style 1', "mk_framework") => "style1",
                __('Style 2', "mk_framework") => "style2",
                __('Style 3', "mk_framework") => "style3",
                __('Style 4', "mk_framework") => "style4",
                __('Style 5', "mk_framework") => "style5",
                __('Style 6', "mk_framework") => "style6",
                __('Style 7 (new)', "mk_framework") => "style7"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Icon Container Circle?", "mk_framework"),
            "param_name" => "rounded",
            "value" => "true",
            "description" => __("If you disable this option the icon container will not be rounded.", "mk_framework")
        ),
        array(
            "type" => "toggle",
            "heading" => __("Icon Container Frame?", "mk_framework"),
            "param_name" => "icon_frame",
            "value" => "true",
            "description" => __("If disabed, icon frame will be removed and box background color will be given to icon color. This option only works for Style 7.", "mk_framework"),
             "dependency" => array(
                'element' => "style",
                'value' => array(
                    'style7'
                )
            ),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Align", "mk_framework"),
            "param_name" => "icon_align",
            "width" => 300,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Top (Style7)', "mk_framework") => "top"
            ),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'style2',
                    'style7'
                )
            ),
            "description" => __("Please note that this option only works with Style 2 and 7. Top option only works for style 7.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Size (Style 7 only)", "mk_framework"),
            "param_name" => "icon_size",
            "value" => array(
                __('Small (32px)', "mk_framework") => "small",
                __('Medium (48px)', "mk_framework") => "medium",
                __('Large (64px)', "mk_framework") => "Large",
            ),
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'style7'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Title", "mk_framework"),
            "param_name" => "title",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Description", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("Enter your content.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Read More Text", "mk_framework"),
            "param_name" => "read_more_txt",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

        array(
            "type" => "textfield",
            "heading" => __("Read More URL", "mk_framework"),
            "param_name" => "read_more_url",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

        array(
            "type" => "awesome_icons",
            "heading" => __("Select Icon", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Custom FontIcon Class name", "mk_framework"),
            "param_name" => "custom_icon",
            "value" => "",
            "description" => __("If you have installed a font icon plugin and want to use it in icon boxes, then fill this form with the class name (e.g. awesomefont-tick). Filling this form will ignore above icon picker value.", "mk_framework")
        ),
        
        array(
            "type" => "color",
            "heading" => __("Icon Skin", "mk_framework"),
            "param_name" => "icon_color",
            "value" => "",
            "description" => __("Icon color for style 1, style 2, style 3, style 5 means the icon color. For style 4, style 6 and style 7 icon frame fill color.", "mk_framework")
        ),

        array(
            "type" => "color",
            "heading" => __("Title Color", "mk_framework"),
            "param_name" => "title_color",
            "value" => "",
            "description" => __("Optionally you can modify Title color inside this shortcode.", "mk_framework")
        ),

        array(
            "type" => "color",
            "heading" => __("Paragraph Color", "mk_framework"),
            "param_name" => "txt_color",
            "value" => "",
            "description" => __("Optionally you can modify text color inside this shortcode.", "mk_framework")
        ),
                array(
            "type" => "color",
            "heading" => __("Button Skin Color", "mk_framework"),
            "param_name" => "btn_skin",
            "value" => "",
            "description" => __("This option is for outline style.", "mk_framework"),
        ),
        
        array(
            "type" => "color",
            "heading" => __("Button Hover Text Color", "mk_framework"),
            "param_name" => "btn_hover_skin",
            "value" => "",
            "description" => __("This option is for outline style.", "mk_framework"),
        ),

        array(
            "type" => "range",
            "heading" => __("Paragraph Text Line Height", "mk_framework"),
            "param_name" => "p_line_height",
            "value" => "24",
            "min" => "0",
            "max" => "50",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    )
));




vc_map(array(
    "name" => __("Icon Text", "mk_framework"),
    "base" => "mk_icon_text",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Skin", "mk_framework"),
            "param_name" => "skin",
            "width" => 300,
            "value" => array(
                __('Dark', "mk_framework") => "dark",
                __('Light', "mk_framework") => "light"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Default Text", "mk_framework"),
            "param_name" => "default_txt",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("On Hover Text", "mk_framework"),
            "param_name" => "hover_txt",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Link (optional)", "mk_framework"),
            "param_name" => "link",
            "value" => "",
            "description" => __("Will convert the icon to a link.", "mk_framework")
        ),
         array(
            "type" => "dropdown",
            "heading" => __("Link Target", "mk_framework"),
            "param_name" => "target",
            "width" => 200,
            "value" => $target_arr,
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Select Icon", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Size", "mk_framework"),
            "param_name" => "icon_size",
            "width" => 300,
            "value" => array(
                __('48px', "mk_framework") => "48",
                __('64px', "mk_framework") => "64",
                __('128px', "mk_framework") => "128"
            ),
            "description" => __("", "mk_framework")
        ),
        
        
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    )
));



vc_map(array(
    "name" => __("Divider", "mk_framework"),
    "base" => "mk_divider",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "Line" => 'single',
                "Dotted" => 'dotted',
                "Dashed" => 'dashed',
                "Thick" => 'thick'
            ),
            "description" => __("Please Choose the style of the line of divider.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Divider Color (optional)", "mk_framework"),
            "param_name" => "divider_color",
            "value" => '',
            "description" => __("This option will not affect fancy divider border color. default color : #e4e4e4", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Divider Width", "mk_framework"),
            "param_name" => "divider_width",
            "value" => array(
                "Full Width" => "full_width",
                "One Half" => "one_half",
                "One Third" => "one_third",
                "One Fourth" => "one_fourth"
            ),
            "description" => __("There are 4 widths you can define for each of your divider styles.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Padding Top", "mk_framework"),
            "param_name" => "margin_top",
            "value" => "20",
            "min" => "0",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("How much space would you like to have before divider? this value will be applied to top.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Padding Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "20",
            "min" => "0",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("How much space would you like to have after divider? this value will be applied to bottom.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));






vc_map(array(
    "name" => __("Table", "mk_framework"),
    "base" => "mk_table",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Table HTML content. You can use below sample and create your own data tables.", "mk_framework"),
            "param_name" => "content",
            "value" => '<table width="100%">
<thead>
<tr>
<th>Column 1</th>
<th>Column 2</th>
<th>Column 3</th>
<th>Column 4</th>
</tr>
</thead>
<tbody>
<tr>
<td>Item #1</td>
<td>Description</td>
<td>Subtotal:</td>
<td>$3.00</td>
</tr>
<tr>
<td>Item #2</td>
<td>Description</td>
<td>Discount:</td>
<td>$4.00</td>
</tr>
<tr>
<td>Item #3</td>
<td>Description</td>
<td>Shipping:</td>
<td>$7.00</td>
</tr>
<tr>
<td>Item #4</td>
<td>Description</td>
<td>Tax:</td>
<td>$6.00</td>
</tr>
<tr>
<td><strong>All Items</strong></td>
<td><strong>Description</strong></td>
<td><strong>Your Total:</strong></td>
<td><strong>$20.00</strong></td>
</tr>
</tbody>
</table>',
            "description" => __("Please paste your table html code here.", "mk_framework")
        ),
        
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    )
));

vc_map(array(
    "name" => __("Skill Meter", "mk_framework"),
    "base" => "mk_skill_meter",
    "params" => array(
        
        array(
            "type" => "textfield",
            "heading" => __("Title", "mk_framework"),
            "param_name" => "title",
            "value" => "",
            "description" => __("What skill are you demonstrating?", "mk_framework")
        ),
        
        array(
            "type" => "range",
            "heading" => __("Percent", "mk_framework"),
            "param_name" => "percent",
            "value" => "50",
            "min" => "0",
            "max" => "100",
            "step" => "1",
            "unit" => '%',
            "description" => __("How many percent would you like to show from this skill?", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Progress Bar Background Color", "mk_framework"),
            "param_name" => "color",
            "value" => $skin_color,
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));




vc_map(array(
    "name" => __("Chart", "mk_framework"),
    "base" => "mk_chart",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "range",
            "heading" => __("Percent", "mk_framework"),
            "param_name" => "percent",
            "value" => "50",
            "min" => "0",
            "max" => "100",
            "step" => "1",
            "unit" => '%',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Bar Color", "mk_framework"),
            "param_name" => "bar_color",
            "value" => $skin_color,
            "description" => __("The color of the circular bar.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Track Color", "mk_framework"),
            "param_name" => "track_color",
            "value" => "#fafafa",
            "description" => __("The color of the track for the bar.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Line Width", "mk_framework"),
            "param_name" => "line_width",
            "value" => "15",
            "min" => "1",
            "max" => "20",
            "step" => "1",
            "unit" => 'px',
            "description" => __("Width of the bar line.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Bar Size", "mk_framework"),
            "param_name" => "bar_size",
            "value" => "170",
            "min" => "1",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("The Diameter of the bar.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Content", "mk_framework"),
            "param_name" => "content_type",
            "width" => 200,
            "value" => array(
                "Percent" => "percent",
                "Icon" => "icon",
                "Custom Text" => "custom_text"
            ),
            "description" => __("The content inside the bar. If you choose icon, you should select your icon from below list. if you have selected custom text, then you should fill out the 'custom text' option below.", "mk_framework")
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Icon", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "content_type",
                'value' => array(
                    'icon'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Custom Text", "mk_framework"),
            "param_name" => "custom_text",
            "value" => "",
            "description" => __("Description will appear below each chart.", "mk_framework"),
            "dependency" => array(
                'element' => "content_type",
                'value' => array(
                    'custom_text'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Description", "mk_framework"),
            "param_name" => "desc",
            "value" => "",
            "description" => __("Description will appear below each chart.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));




vc_map(array(
    "name" => __("Padding Divider", "mk_framework"),
    "base" => "mk_padding_divider",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "range",
            "heading" => __("Padding Size (Px)", "mk_framework"),
            "param_name" => "size",
            "value" => "40",
            "min" => "0",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("How much space would you like to drop in this specific padding shortcode?", "mk_framework")
        )
    )
));

vc_map(array(
    "name" => __("Animated Columns", "mk_framework"),
    "base" => "mk_animated_columns",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "range",
            "heading" => __("Column Height", "mk_framework"),
            "param_name" => "column_height",
            "value" => "500",
            "min" => "100",
            "max" => "1200",
            "step" => "1",
            "unit" => 'px',
            "description" => __("Set the columns height", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("How many Columns in One Row?", "mk_framework"),
            "param_name" => "column_number",
            "value" => "4",
            "min" => "1",
            "max" => "8",
            "step" => "1",
            "unit" => 'columns',
            "description" => __("How many columns would you like to show in one row?", "mk_framework")
        ),
        array(
            "type" => "multiselect",
            "heading" => __("Choose the Animated Columns", "mk_framework"),
            "param_name" => "columns",
            "value" => '',
            "options" => $animated_columns,
            "description" => __("", "mk_framework")
        ),
        
        array(
            "heading" => __("Order", 'mk_framework'),
            "description" => __("Designates the ascending or descending order of the 'orderby' parameter.", 'mk_framework'),
            "param_name" => "order",
            "value" => array(
                __("DESC (descending order)", 'mk_framework') => "DESC",
                __("ASC (ascending order)", 'mk_framework') => "ASC"
            ),
            "type" => "dropdown"
        ),
        array(
            "heading" => __("Orderby", 'mk_framework'),
            "description" => __("Sort retrieved pricing items by parameter.", 'mk_framework'),
            "param_name" => "orderby",
            "value" => $mk_orderby,
            "type" => "dropdown"
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Column Styles", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "Simple (Icon+Title)" => "simple",
                "Full Featured (All)" => "full",
            ),
            "description" => __("Please choose your columns styles. In each style the feeding content and hover scenarios will be different.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Columns Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("The column box color.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Columns background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Columns background Hover Color", "mk_framework"),
            "param_name" => "bg_hover_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

        array(
            "type" => "dropdown",
            "heading" => __("Icon Size", "mk_framework"),
            "param_name" => "icon_size",
            "value" => array(
                __('16px', "mk_framework") => "16",
                __('32px', "mk_framework") => "32",
                __('48px', "mk_framework") => "48",
                __('64px', "mk_framework") => "64",
                __('128px', "mk_framework") => "128"
            ),
            "description" => __("Choose the icon sizes.", "mk_framework")
        ),
        
        array(
            "type" => "color",
            "heading" => __("Icon Color", "mk_framework"),
            "param_name" => "icon_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

        array(
            "type" => "color",
            "heading" => __("Icon Hover Color", "mk_framework"),
            "param_name" => "icon_hover_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

        array(
            "type" => "color",
            "heading" => __("Text Color (Active)", "mk_framework"),
            "param_name" => "txt_color",
            "value" => "",
            "description" => __("This color will be used for title and description normal color. Description will have 70% opacity.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Text Color (Hover)", "mk_framework"),
            "param_name" => "txt_hover_color",
            "value" => "",
            "description" => __("This color will be used for title and description hover color.", "mk_framework")
        ),

        array(
            "type" => "color",
            "heading" => __("Button Color (Active)", "mk_framework"),
            "param_name" => "btn_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),

        array(
            "type" => "color",
            "heading" => __("Button Color (Hover)", "mk_framework"),
            "param_name" => "btn_hover_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));



vc_map(array(
    "name" => __("Milestones", "mk_framework"),
    "base" => "mk_milestone",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "range",
            "heading" => __("Number Start at", "mk_framework"),
            "param_name" => "start",
            "value" => "0",
            "min" => "0",
            "max" => "100000",
            "step" => "1",
            "unit" => '',
            "description" => __("Please choose in which number it should start.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Number Stop at", "mk_framework"),
            "param_name" => "stop",
            "value" => "100",
            "min" => "0",
            "max" => "100000",
            "step" => "1",
            "unit" => '',
            "description" => __("Please choose in which number it should Stop.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Speed", "mk_framework"),
            "param_name" => "speed",
            "value" => "2000",
            "min" => "0",
            "max" => "10000",
            "step" => "1",
            "unit" => 'ms',
            "description" => __("Speed of the animation from start to stop in milliseconds.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Number Text Size", "mk_framework"),
            "param_name" => "number_size",
            "value" => "46",
            "min" => "10",
            "max" => "60",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Content Below Numbers?", "mk_framework"),
            "param_name" => "type",
            "width" => 200,
            "value" => array(
                "Icon" => "icon",
                "Text" => "text",
                "No Content" => "none"
            ),
            "description" => __("Using icon or text would you prefer to represent this milestone?", "mk_framework")
        ),
        
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose an Icon", "mk_framework"),
            "param_name" => "icon",
            "width" => 200,
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'icon'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Text Below Numbers", "mk_framework"),
            "param_name" => "text",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'text'
                )
            )
        ),
        array(
            "type" => "range",
            "heading" => __("Text Size", "mk_framework"),
            "param_name" => "text_size",
            "value" => "12",
            "min" => "10",
            "max" => "60",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "type",
                'value' => array(
                    'text'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Skin color", "mk_framework"),
            "param_name" => "color",
            "value" => "#919191",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));


vc_map(array(
    "name" => __("Audio Player", "mk_framework"),
    "base" => "mk_audio",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Audio Title", "mk_framework"),
            "param_name" => "file_title",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "upload",
            "heading" => __("Upload MP3 file format", "mk_framework"),
            "param_name" => "mp3_file",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "upload",
            "heading" => __("Upload OGG file format", "mk_framework"),
            "param_name" => "ogg_file",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        
        array(
            "type" => "toggle",
            "heading" => __("For small container?", "mk_framework"),
            "param_name" => "small_version",
            "value" => "false",
            "description" => __("If you want to use this player in a small container enable this option. This option will force player controls to below progress bar.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
    )
));







$step_id_1 = time() . '-1-' . rand(0, 100);
$step_id_2 = time() . '-2-' . rand(0, 100);

vc_map(array(
    "name" => __("Process Steps", "mk_framework"),
    "base" => "mk_process_steps",
    "show_settings_on_create" => false,
    "is_container" => true,
    "category" => __('Content', 'mk_framework'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Orientation", "js_composer"),
            "param_name" => "orientation",
            "value" => array(
                "Vertical" => "vertical",
                "Horizontal" => "horizontal"
                
            ),
            "description" => __("", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Skin", "js_composer"),
            "param_name" => "skin",
            "value" => array(
                "dark" => "dark",
                "Light" => "light"
                
            ),
            "description" => __("", "js_composer")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    ),
    "custom_markup" => '
  <div class="wpb_tabs_holder wpb_holder vc_container_for_children">
  <ul class="tabs_controls">
  </ul>
  %content%
  </div>',
    'default_content' => '
  [mk_step title="' . __('Step 1', 'mk_framework') . '" tab_id="' . $step_id_1 . '"][/mk_step]
  [mk_step title="' . __('Step 2', 'mk_framework') . '" tab_id="' . $step_id_2 . '"][/mk_step]
  ',
    "js_view" => ('VcProcessStepsView')
));



vc_map(array(
    "name" => __("Step", "mk_framework"),
    "base" => "mk_step",
    "allowed_container_element" => 'vc_row',
    "is_container" => true,
    "content_element" => false,
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Title", "mk_framework"),
            "param_name" => "title",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Short Description", "mk_framework"),
            "param_name" => "desc",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Icon (optional)", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework")
        )
        
    ),
    'js_view' => ('VcStepView')
));





vc_map(array(
    "name" => __("Secondary Header", "mk_framework"),
    "base" => "mk_header",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "dropdown",
            "heading" => __("Menu Location", "mk_framework"),
            "param_name" => "menu_location",
            "width" => 150,
            "value" => array(
                __('Primary Navigation', "mk_framework") => "primary-menu",
                __('Second Navigation', "mk_framework") => "second-menu",
                __('Third Navigation', "mk_framework") => "third-menu",
                __('Fourth Navigation', "mk_framework") => "fourth-menu",
                __('Fifth Navigation', "mk_framework") => "fifth-menu",
                __('Sixth Navigation', "mk_framework") => "sixth-menu",
                __('Seventh Navigation', "mk_framework") => "seventh-menu"
            ),
            
            "description" => __("Please choose which menu location you would like to assign to this header.", "mk_framework")
        ),
         array(
            "type" => "toggle",
            "heading" => __("Squeeze Header?", "mk_framework"),
            "param_name" => "squeeze",
            "value" => "true",
            "description" => __("If you disable this option header height will be in normal height rather than being in sticky state.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
        
    )
));


vc_map(array(
    "name" => __("Event Countdown", "mk_framework"),
    "base" => "mk_countdown",
    "category" => __('General', 'mk_framework'),
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Upcoming Event Date", "mk_framework"),
            "param_name" => "date",
            "value" => "",
            "description" => __("Please fill this field with expect date. eg : 12/24/2015 12:00:00 => month/day/year hour:minute:second", "mk_framework")
        ),
        
        array(
            "heading" => __("UTC Timezone", "mk_framework"),
            "param_name" => "offset",
            "value" => array(
                "-12" => "-12",
                "-11" => "-11",
                "-10" => "-10",
                "-9" => "-9",
                "-8" => "-8",
                "-7" => "-7",
                "-6" => "-6",
                "-5" => "-5",
                "-4" => "-4",
                "-3" => "-3",
                "-2" => "-2",
                "-1" => "-1",
                "0" => "0",
                "+1" => "+1",
                "+2" => "+2",
                "+3" => "+3",
                "+4" => "+4",
                "+5" => "+5",
                "+6" => "+6",
                "+7" => "+7",
                "+8" => "+8",
                "+9" => "+9",
                "+10" => "+10",
                "+12" => "+12"
            ),
            "type" => "dropdown"
        ),
        
        
        array(
            "heading" => __("Skin", "mk_framework"),
            "param_name" => "skin",
            "value" => array(
                __("Dark", "mk_framework") => 'dark',
                __("Light", "mk_framework") => 'light',
                __("Accent Color", "mk_framework") => 'accent'
            ),
            "type" => "dropdown"
        ),
        
        
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    )
));

vc_map(array(
     "name" => __("Raw HTML", "mk_framework"),
     "base" => "vc_raw_html",
     "icon" => "icon-wpb-raw-html",
     "category" => __('General', 'mk_framework'),
     "wrapper_class" => "clearfix",
     "params" => array(
          array(
               "type" => "textarea_raw_html",
               "holder" => "div",
               "heading" => __("Raw HTML", "mk_framework"),
               "param_name" => "content",
               "value" => base64_encode("<p>I am raw html block.<br/>Click edit button to change this html</p>"),
               "description" => __("Enter your HTML content.", "mk_framework")
          )
     )
));
vc_map(array(
     "name" => __("Raw JS", "mk_framework"),
     "base" => "vc_raw_js",
     "icon" => "icon-wpb-raw-javascript",
     "category" => __('General', 'mk_framework'),
     "wrapper_class" => "clearfix",
     "params" => array(
          array(
               "type" => "textarea_raw_html",
               "holder" => "div",
               "heading" => __("Raw js", "mk_framework"),
               "param_name" => "content",
               "value" => __(base64_encode("<script type='text/javascript'> alert('Enter your js here!'); </script>"), "mk_framework"),
               "description" => __("Enter your JS code.", "mk_framework")
          )
     )
));