<?php

vc_map(array(
    "name" => __("Text block", "mk_framework"),
    "base" => "vc_column_text",
    "wrapper_class" => "clearfix",
    "category" => __('Typography', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Text", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("Enter your content.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Visibility For devices", "mk_framework"),
            "param_name" => "visibility",
            "value" => $device_visibility,
            "description" => __("You can make this element visibible for a device range or make it hidden for a device.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    )
));


vc_map(array(
    "name" => __("Fancy Title", "mk_framework"),
    "base" => "mk_fancy_title",
    "category" => __('Typography', 'mk_framework'),
    "class" => "mk-fancy-title-class",
    "params" => array(
        
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Content.", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "Simple Title" => "simple",
                "Stroke" => "stroke",
                "Standard" => "standard",
                "Avantgarde" => "avantgarde",
                "Alternative" => "alt"
            ),
            "description" => __("Please note that Alternative style will work only in page content and page sections with solid backgrounds.", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Tag Name", "mk_framework"),
            "param_name" => "tag_name",
            "value" => array(
                "h3" => "h3",
                "h2" => "h2",
                "h4" => "h4",
                "h5" => "h5",
                "h6" => "h6",
                "h1" => "h1"
            ),
            "description" => __("For SEO reasons you might need to define your titles tag names according to priority. Please note that H1 can only be used once in a page due to the SEO reasons. So try to use lower than H2 to meet SEO best practices.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Stroke Style Border Width", "mk_framework"),
            "param_name" => "border_width",
            "value" => "5",
            "min" => "1",
            "max" => "20",
            "step" => "1",
            "unit" => 'px',
            "description" => __("Changes border thickness. Please note that this option only works for Stroke style.", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'stroke'
                )
            ),
        ),
        array(
            "type" => "color",
            "heading" => __("Stroke Style Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("If left blank given text color will be applied to border color. Please note that this option only works for Stroke style.", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'stroke'
                )
            ),
        ),
        array(
            "type" => "range",
            "heading" => __("Font Size", "mk_framework"),
            "param_name" => "size",
            "value" => "14",
            "min" => "12",
            "max" => "70",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Text Line Height", "mk_framework"),
            "param_name" => "line_height",
            "value" => "24",
            "min" => "12",
            "max" => "100",
            "step" => "1",
            "unit" => 'px',
            "description" => __("Please note that this value should be more than font size. if less than font size line height value will be 100% to prevent reading issues.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Text Color", "mk_framework"),
            "param_name" => "color",
            "value" => "#393836",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Font Weight", "mk_framework"),
            "param_name" => "font_weight",
            "width" => 150,
            "value" => array(
                __('Default', "mk_framework") => "inherit",
                __('Semi Bold', "mk_framework") => "600",
                __('Bold', "mk_framework") => "bold",
                __('Bolder', "mk_framework") => "bolder",
                __('Normal', "mk_framework") => "normal",
                __('Light', "mk_framework") => "300"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Letter Spacing", "mk_framework"),
            "param_name" => "letter_spacing",
            "value" => "0",
            "min" => "0",
            "max" => "10",
            "step" => "1",
            "unit" => 'px',
            "description" => __("Space between each character.", "mk_framework")
        ),
        
        
        array(
            "type" => "fonts",
            "heading" => __("Font Family", "mk_framework"),
            "param_name" => "font_family",
            "value" => "",
            "description" => __("You can choose a font for this shortcode, however using non-safe fonts can affect page load and performance.", "mk_framework")
        ),
        array(
            "type" => "hidden_input",
            "param_name" => "font_type",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "10",
            "min" => "0",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));



vc_map(array(
    "name" => __("Fancy Text", "mk_framework"),
    "base" => "mk_fancy_text",
    "category" => __('Typography', 'mk_framework'),
    "class" => "mk-title-box-class",
    "params" => array(
        
        array(
            "type" => "textarea_html",
            "rows" => 2,
            "holder" => "div",
            "heading" => __("Content.", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("Allowed Tags [em] [del] [i] [b] [strong] [u] [span] [small] [large] [sub] [sup]. Please note that [p] tags will be striped out.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Text Color", "mk_framework"),
            "param_name" => "color",
            "value" => "#393836",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Hightlight Background Color", "mk_framework"),
            "param_name" => "highlight_color",
            "value" => "#000",
            "description" => __("The Hightlight Background color. you can change color opacity from below option.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Hightlight Color Opacity", "mk_framework"),
            "param_name" => "highlight_opacity",
            "value" => "0.3",
            "min" => "0",
            "max" => "1",
            "step" => "0.01",
            "unit" => 'px',
            "description" => __("The Opacity of the hightlight background", "mk_framework")
        ),
        
        array(
            "type" => "range",
            "heading" => __("Font Size", "mk_framework"),
            "param_name" => "size",
            "value" => "18",
            "min" => "12",
            "max" => "70",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Line Height (Important)", "mk_framework"),
            "param_name" => "line_height",
            "value" => "34",
            "min" => "12",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("Since every font family with differnt sizes need different line heights to get a nice looking highlighted titles you should set them manually. as a hint generally (font-size * 2) - 2 works in many cases, but you may need to give more space in between, so we opened your hands with this option. :) ", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Font Weight", "mk_framework"),
            "param_name" => "font_weight",
            "width" => 150,
            "value" => array(
                __('Default', "mk_framework") => "inhert",
                __('Semi Bold', "mk_framework") => "600",
                __('Bold', "mk_framework") => "bold",
                __('Bolder', "mk_framework") => "bolder",
                __('Normal', "mk_framework") => "normal",
                __('Light', "mk_framework") => "300"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Top", "mk_framework"),
            "param_name" => "margin_top",
            "value" => "0",
            "min" => "-40",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("In some ocasions you may on need to define a top margin for this title.", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Margin Buttom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "18",
            "min" => "0",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "fonts",
            "heading" => __("Font Family", "mk_framework"),
            "param_name" => "font_family",
            "value" => "",
            "description" => __("You can choose a font for this shortcode, however using non-safe fonts can affect page load and performance.", "mk_framework")
        ),
        array(
            "type" => "hidden_input",
            "param_name" => "font_type",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));


vc_map(array(
    "name" => __("Blockquote", "mk_framework"),
    "base" => "mk_blockquote",
    "category" => __('Typography', 'mk_framework'),
    "class" => "mk-blockquote-class",
    "params" => array(
        
        
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Blockquote Message", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));

vc_map(array(
    "name" => __("Dropcaps", "mk_framework"),
    "base" => "mk_dropcaps",
    "class" => "mk-dropcaps-class",
    "category" => __('Typography', 'mk_framework'),
    "controls" => "edit_popup_delete",
    "params" => array(
        
        array(
            "type" => "textfield",
            "heading" => __("Dropcaps Character", "mk_framework"),
            "param_name" => "char",
            "value" => __("", "mk_framework"),
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "width" => 150,
            "value" => array(
                __('Square Default Color', "mk_framework") => "square-default",
                __('Circle default Color', "mk_framework") => "circle-default",
                __('Square Custom Color', "mk_framework") => "square-custom",
                __('Circle Custom Color', "mk_framework") => "circle-custom"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Fill Color", "mk_framework"),
            "param_name" => "fill_color",
            "value" => $skin_color,
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'square-custom',
                    'circle-custom'
                )
            )
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Paragraph", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework"),
            "description" => __("Enter your content.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));

vc_map(array(
    "name" => __("Highlight Text", "mk_framework"),
    "base" => "mk_highlight",
    "class" => "mk-highlight-class",
    "category" => __('Typography', 'mk_framework'),
    "controls" => "edit_popup_delete",
    "params" => array(
        
        array(
            "type" => "textfield",
            "heading" => __("Highlight Text", "mk_framework"),
            "param_name" => "text",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "width" => 150,
            "value" => array(
                __('Default Color', "mk_framework") => "default",
                __('Custom Color', "mk_framework") => "custom"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Fill Color", "mk_framework"),
            "param_name" => "fill_color",
            "value" => $skin_color,
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));


vc_map(array(
    "name" => __("Custom List", "mk_framework"),
    "base" => "mk_custom_list",
    "category" => __('Typography', 'mk_framework'),
    "class" => "mk-list-styles-class",
    "params" => array(
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Add your unordered list into this textarea. Allowed Tags : [ul][li][strong][i][em][u][b][a][small]", "mk_framework"),
            "param_name" => "content",
            "value" => "<ul><li>List Item</li><li>List Item</li><li>List Item</li><li>List Item</li><li>List Item</li></ul>",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "awesome_icons",
            "heading" => __("List Icons", "mk_framework"),
            "param_name" => "style",
            "width" => 200,
            "value" => $mk_awesome_icons_list,
            "encoding" => "true",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "color",
            "heading" => __("Icons Color", "mk_framework"),
            "param_name" => "icon_color",
            "value" => $skin_color,
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "range",
            "heading" => __("Margin Bottom", "mk_framework"),
            "param_name" => "margin_bottom",
            "value" => "30",
            "min" => "-30",
            "max" => "500",
            "step" => "1",
            "unit" => 'px',
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));


vc_map(array(
    "name" => __("Font icons", "mk_framework"),
    "base" => "mk_font_icons",
    "class" => "mk-lifetime-icons-class",
    "category" => __('Typography', 'mk_framework'),
    "controls" => "edit_popup_delete",
    "params" => array(
        
        array(
            "type" => "awesome_icons",
            "heading" => __("Icon", "mk_framework"),
            "param_name" => "icon",
            "width" => 200,
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Style", "mk_framework"),
            "param_name" => "style",
            "value" => array(
                "default" => "default",
                "Filled" => "filled",
                "Generic (customise yourself)" => "custom"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Icon Color", "mk_framework"),
            "param_name" => "color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Background Color", "mk_framework"),
            "param_name" => "bg_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
        ),
        array(
            "type" => "color",
            "heading" => __("Frame Border Color", "mk_framework"),
            "param_name" => "border_color",
            "value" => "",
            "description" => __("", "mk_framework"),
            "dependency" => array(
                'element' => "style",
                'value' => array(
                    'custom'
                )
            )
            
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Size", "mk_framework"),
            "param_name" => "size",
            "value" => array(
                "16px" => "small",
                "32px" => "medium",
                "48px" => "large",
                "64px" => "x-large",
                "128px" => "xx-large",
                "256px" => "xxx-large"
            ),
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "toggle",
            "heading" => __("Remove Frame from icon?", "mk_framework"),
            "param_name" => "remove_frame",
            "value" => "false",
            "description" => __("", "mk_framework")
        ),
        
        
        array(
            "type" => "range",
            "heading" => __("Horizontal Padding", "mk_framework"),
            "param_name" => "padding_horizental",
            "value" => "4",
            "min" => "0",
            "max" => "200",
            "step" => "1",
            "unit" => 'px',
            "description" => __("You can give padding to the icon. this padding will be applied to left and right side of the icon", "mk_framework")
        ),
        array(
            "type" => "range",
            "heading" => __("Vertical Padding", "mk_framework"),
            "param_name" => "padding_vertical",
            "value" => "4",
            "min" => "0",
            "max" => "200",
            "step" => "1",
            "unit" => 'px',
            "description" => __("You can give padding to the icon. this padding will be applied to top and bottom of them icon", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Align", "mk_framework"),
            "param_name" => "align",
            "width" => 150,
            "value" => array(
                __('No Align', "mk_framework") => "none",
                __('Left', "mk_framework") => "left",
                __('Right', "mk_framework") => "right",
                __('Center', "mk_framework") => "center"
            ),
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Link", "mk_framework"),
            "param_name" => "link",
            "value" => "",
            "description" => __("You can optionally link your icon. please provide full URL including http://", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Infinite Animations", "mk_framework"),
            "param_name" => "infinite_animation",
            "value" => $infinite_animation,
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Viewport Animation", "mk_framework"),
            "param_name" => "animation",
            "value" => $css_animations,
            "description" => __("Viewport animation will be triggered when this element is being viewed when you scroll page down. you only need to choose the animation style from this option. please note that this only works in moderns. We have disabled this feature in touch devices to increase browsing speed.", "mk_framework")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));

vc_map(array(
    "name" => __("Toggle", "mk_framework"),
    "base" => "mk_toggle",
    "wrapper_class" => "clearfix",
    "category" => __('Typography', 'mk_framework'),
    "params" => array(
        
        array(
            "type" => "textfield",
            "heading" => __("Toggle Title", "mk_framework"),
            "param_name" => "title",
            "value" => ""
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Icon For title", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("Please note that this icon only works for fancy style of this shortcode.", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Custom Icon Color", "mk_framework"),
            "param_name" => "icon_color",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => __("Toggle Content.", "mk_framework"),
            "param_name" => "content",
            "value" => __("", "mk_framework")
        ),
        
        array(
            "type" => "color",
            "heading" => __("Pane Background Color", "mk_framework"),
            "param_name" => "pane_bg",
            "value" => "",
            "description" => __("", "mk_framework")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in Custom CSS Shortcode or Masterkey Custom CSS option.", "mk_framework")
        )
        
    )
));


$tab_id_1 = time() . '-1-' . rand(0, 100);
$tab_id_2 = time() . '-2-' . rand(0, 100);
vc_map(array(
    "name" => __("Tabs", "mk_framework"),
    "base" => "vc_tabs",
    "show_settings_on_create" => false,
    "is_container" => true,
    "icon" => "icon-wpb-ui-tab-content",
    "category" => __('Content', 'mk_framework'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Style", "js_composer"),
            "param_name" => "style",
            "value" => array(
                "Style 1" => "style1",
                "Style 2" => "style2",
                "Style 3" => "style3",
            ),
            "description" => __("Choose your tabs style.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Orientation", "js_composer"),
            "param_name" => "orientation",
            "value" => array(
                "Horizontal" => "horizontal",
                "Vertical" => "vertical"
                
            ),
             "dependency" => array(
                'element' => "style",
                'value' => array(
                    'style1',
                    'style2'
                )
            ),
            "description" => __("Choose tabs orientation. Please note that this option will only work for style 1 and 2.", "js_composer")
        ),
        array(
            "type" => "color",
            "heading" => __("Container Background Color", "js_composer"),
            "param_name" => "container_bg_color",
            "value" => "#fafafa",
            "description" => __("", "js_composer")
        ),
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "value" => "",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    ),
    "custom_markup" => '
  <div class="wpb_tabs_holder wpb_holder vc_container_for_children">
  <ul class="tabs_controls">
  </ul>
  %content%
  </div>',
    'default_content' => '
  [vc_tab title="' . __('Tab 1', 'mk_framework') . '" tab_id="' . $tab_id_1 . '"][/vc_tab]
  [vc_tab title="' . __('Tab 2', 'mk_framework') . '" tab_id="' . $tab_id_2 . '"][/vc_tab]
  ',
    "js_view" => ('VcTabsView')
));



vc_map(array(
    "name" => __("Tab", "mk_framework"),
    "base" => "vc_tab",
    "allowed_container_element" => 'vc_row',
    "is_container" => true,
    "content_element" => false,
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Title", "mk_framework"),
            "param_name" => "title",
            "description" => __("Tab title.", "mk_framework")
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Icon (optional)", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Custom Icon Color", "mk_framework"),
            "param_name" => "icon_color",
            "value" => "",
            "description" => __("", "mk_framework")
        )
        
    ),
    'js_view' => ('VcTabView')
));


vc_map(array(
    "name" => __("Accordion", "mk_framework"),
    "base" => "vc_accordions",
    "show_settings_on_create" => false,
    "is_container" => true,
    "category" => __('Content', 'mk_framework'),
    "params" => array(
        array(
                "type" => "dropdown",
                "heading" => __( "Style", "mk_framework" ),
                "param_name" => "style",
                "width" => 150,
                "value" => array(  __( 'Simple', "mk_framework" ) => "simple" , __( 'Boxed', "mk_framework" ) => "boxed"),
                "description" => __( "", "mk_framework" )
            ),
        array(
            "type" => "color",
            "heading" => __("Container Background Color", "js_composer"),
            "param_name" => "container_bg_color",
            "value" => "#fafafa",
            "description" => __("", "js_composer")
        ),
        
        
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "mk_framework"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "mk_framework")
        )
    ),
    "custom_markup" => '
  <div class="wpb_accordion_holder wpb_holder clearfix vc_container_for_children">
  %content%
  </div>
  <div class="tab_controls">
  <button class="add_tab" title="' . __("Add accordion section", "mk_framework") . '">' . __("Add accordion section", "mk_framework") . '</button>
  </div>
  ',
    'default_content' => '
  [vc_accordion_tab title="' . __('Section 1', "mk_framework") . '"][/vc_accordion_tab]
  [vc_accordion_tab title="' . __('Section 2', "mk_framework") . '"][/vc_accordion_tab]
  ',
    'js_view' => 'VcAccordionView'
));
vc_map(array(
    "name" => __("Accordion Section", "mk_framework"),
    "base" => "vc_accordion_tab",
    "allowed_container_element" => 'vc_row',
    "is_container" => true,
    "content_element" => false,
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Title", "mk_framework"),
            "param_name" => "title",
            "description" => __("Accordion section title.", "mk_framework")
        ),
        array(
            "type" => "awesome_icons",
            "heading" => __("Choose Icon (optional)", "mk_framework"),
            "param_name" => "icon",
            "value" => $mk_awesome_icons_list,
            "encoding" => "false",
            "description" => __("", "mk_framework")
        ),
        array(
            "type" => "color",
            "heading" => __("Custom Icon Color", "mk_framework"),
            "param_name" => "icon_color",
            "value" => "",
            "description" => __("", "mk_framework")
        )
    ),
    'js_view' => 'VcAccordionTabView'
));
