<?php

function mk_portfolio_masonry_loop( &$r, $atts, $current ) {
	global $post;
	extract( $atts );



	$output = '';

	$image_size = get_post_meta( get_the_ID(), '_masonry_img_size', true );
	$image_size = !(empty($image_size)) ? $image_size : 'regular';

	$item_logo = get_post_meta( get_the_ID(), '_portfolio_item_logo', true ); 

	switch ( $image_size ) {
	case 'regular':
		$width = 500;
		$height = 500;
		$column_css = 'regular-entry';
		break;
	case 'tall':
		$width = 500;
		$height = 1000;
		$column_css = 'tall-entry';
		break;
	case 'wide':
		$width = 1000;
		$height = 500;
		$column_css = 'wide-entry';
		break;
	case 'wide_tall':
		$width = 1000;
		$height = 1000;
		$column_css = 'wide-tall-entry';
		break;

	default :

		$width = 500;
		$height = 500;
		$column_css = 'regular-entry';
		break;

	}





	$link_to = get_post_meta( get_the_ID(), '_portfolio_permalink', true );
	$permalink  = '';
	if ( !empty( $link_to ) ) {
		$link_array = explode( '||', $link_to );
		switch ( $link_array[ 0 ] ) {
		case 'page':
			$permalink = get_page_link( $link_array[ 1 ] );
			break;
		case 'cat':
			$permalink = get_category_link( $link_array[ 1 ] );
			break;
		case 'portfolio':
			$permalink = get_permalink( $link_array[ 1 ] );
			break;
		case 'post':
			$permalink = get_permalink( $link_array[ 1 ] );
			break;
		case 'manually':
			$permalink = $link_array[ 1 ];
			break;
		}
	}

	if ( $ajax == 'true' || empty( $permalink ) ) {
		$permalink = get_permalink();
	}




	$image_src_array = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full', true );
	$image_src = bfi_thumb( $image_src_array[ 0 ], array('width' => $width*$image_quality, 'height' => $height*$image_quality, 'crop'=>true));	

	$output .='<article id="portfolio-'.get_the_ID().'" class="masonry-portfolio-item mk-portfolio-item portfolio-ajax-item mk-isotop-item '.$column_css.' ' . implode( ' ', mk_get_portfolio_tax($post->ID, false, true)  ) . '"><div class="item-holder">';

	$output .='<div class="featured-image" style="background-image:url('.$image_src.')">';
	$output .='<img alt="'.get_the_title().'" width="'.$width.'" class="item-featured-image" height="'.$height.'" title="'.get_the_title().'" src="'.$image_src.'" itemprop="image" />';
	
	$output .='<div class="border-tb masonry-border"></div>';
	$output .='<div class="border-tr masonry-border"></div>';
	$output .='<div class="border-bt masonry-border"></div>';
	$output .='<div class="border-bl masonry-border"></div>';

	$output .='<div class="hover-overlay"></div>';

	if(!empty($item_logo)  && $show_logo == 'true') {
		$output .= '<img class="portfolio-entry-logo" src="'.$item_logo.'" alt="'.get_the_title().'" />';
	}


	$output .='<div class="portfolio-meta">';
	if($plus_icon == 'true') {
		$output .='<a href="'.$image_src_array[ 0 ].'" title="'.get_the_title().'" rel="portfolio-loop" class="mk-lightbox portfolio-plus-icon"><i class="mk-theme-icon-plus"></i></a>';
	}
	if($ajax == 'true') {
		$output .='<div class="the-title"><span>'.get_the_title().'</span></div><div class="clearboth"></div>';
	} else {
		if($permalink_icon == 'true') {
				$output .='<div class="the-title"><a href="'.$permalink.'">'.get_the_title().'</a></div><div class="clearboth"></div>';
		} else {
			$output .='<div class="the-title">'.get_the_title().'</div><div class="clearboth"></div>';
		}
	}
	
	$output .='<div class="portfolio-cats">'. implode( ', ', mk_get_portfolio_tax($post->ID, false) ) .'</div>';

	if($permalink_icon == 'true') {
		$output .= '<a class="project-load portfolio-permalink" data-post-id="'.get_the_ID().'" href="'.$permalink.'"><i class="mk-theme-icon-next-bigger"></i></a>';
	}
	$output .='</div>';

	$output .='</div>';


	$output .='</div></article>';


	return $output;

}
